#line 1 "C:/Users/Viktor/Desktop/MikroMedia_HMI/library/35/Mikromedia_HMI_35C_Demo_Code/mikroC PRO for FT90X/Mikromedia_HMI_35C_Demo_events_code.c"
#line 1 "c:/users/viktor/desktop/mikromedia_hmi/library/35/mikromedia_hmi_35c_demo_code/mikroc pro for ft90x/mikromedia_hmi_35c_demo_objects.h"
#line 1 "c:/users/viktor/desktop/mikromedia_hmi/library/35/mikromedia_hmi_35c_demo_code/mikroc pro for ft90x/ft812_types.h"
#line 21 "c:/users/viktor/desktop/mikromedia_hmi/library/35/mikromedia_hmi_35c_demo_code/mikroc pro for ft90x/ft812_types.h"
typedef unsigned char uint8_ft8;
typedef signed char int8_ft8;
typedef unsigned int uint16_ft8;
typedef int int16_ft8;
typedef unsigned long uint32_ft8;
typedef long int32_ft8;
typedef unsigned long long uint64_ft8;
typedef long long int64_ft8;

typedef unsigned long uintcolor_ft;

typedef enum {cmdREAD, cmdWRITE} TCmd;

typedef enum {opNONE, opREAD, opWRITE} TOpr;

typedef enum {umNONE, umDL=1<<0, umCP=1<<1, umGRAM=1<<2} TUpdateMode;

typedef enum {pfINTEGER, pf12P4=1<<0} TPixelFormat;

typedef enum {rndUP, rndDOWN, rndNEAREST} TRoundingType;

typedef enum {rtCurrRectCenter, rtRotCenter} TRotateType;

typedef uint8_ft8 TFT812Alpha;
typedef uint8_ft8 TFT812Handle;

typedef struct
{
 int16_ft8 X;
 int16_ft8 Y;
} TFT812Point;

typedef struct
{
 int16_ft8 Left;
 int16_ft8 Top;
 uint16_ft8 Width;
 uint16_ft8 Height;
} TFT812Rect;

typedef struct
{
 union
 {
 struct
 {
 TFT812Point P1, P2, P3, P4;
 };
 TFT812Point P[4];
 };
} TFT812Square;

typedef union
{
 struct
 {
 uint8_ft8 B;
 uint8_ft8 G;
 uint8_ft8 R;
 };
 uint32_ft8 RGB;
} TFT812Color;

typedef struct
{
 TFT812Color Color;
 TFT812Alpha Alpha;
 uint16_ft8 Width;
} TFT812Pen;

typedef struct
{
 TFT812Color ColorBg;
 TFT812Color Color;


 TFT812Color ColorTo;
 uint8_ft8 Gradient;
 TFT812Alpha Alpha;
 uint8_ft8 Style;
} TFT812Brush;




typedef struct
{

 uint8_ft8 FontWidth[ 256 ];
 uint32_ft8 FontBitmapFormat;
 uint32_ft8 FontLineStride;
 uint32_ft8 FontWidthInPixels;
 uint32_ft8 FontHeightInPixels;
 uint32_ft8 PointerToFontGraphicsData;
} TFT812FontGraphics;

typedef struct
{
 TFT812FontGraphics GrData;
 uint16_ft8 FirstChar;
 uint16_ft8 LastChar;
} TFT812CharSetDsc;

typedef struct
{
 uint32_ft8 Name;
 uint32_ft8 Source;
 TFT812Color Color;
 TFT812Alpha Alpha;
 TFT812Handle Handle;
 TFT812CharSetDsc CharSetDsc;
} TFT812Font;

typedef struct
{
 uint8_ft8 Format;
 uint16_ft8 LineStride;

 uint16_ft8 Height;
} TFT812BmpLayout;

typedef struct
{
 uint8_ft8 FwFlags;
 uint16_ft8 Width;
 uint16_ft8 Height;
} TFT812BmpSize;

typedef struct
{
 uint32_ft8 Source;
 TFT812BmpLayout Layout;
 TFT812BmpSize Size;
} TFT812BmpConfig;

typedef struct
{
 TFT812BmpConfig Configs[16];
 uint8_ft8 Current;
} TFT812BmpHandle;

typedef struct
{
 TFT812BmpConfig Config;
 TFT812Color BlendColor;
 TFT812Alpha Alpha;
 TFT812Handle Handle;
} TFT812Bitmap;

typedef struct
{
 uint16_ft8 Hour;
 uint16_ft8 Min;
 uint16_ft8 Sec;
 uint16_ft8 mSec;
} TFT812Time;

typedef struct
{
 uint32_ft8 DrawingOptions;
 uint16_ft8 Val;
 uint16_ft8 Size;
 uint16_ft8 Range;
 uint16_ft8 Minor;
 uint16_ft8 Major;
 TFT812Time Time;
 uint8_ft8 Style;
} TFT812CoProcGraphics;

typedef struct
{
 uint32_ft8 a;
 uint32_ft8 b;
 uint32_ft8 c;
 uint32_ft8 d;
 uint32_ft8 e;
 uint32_ft8 f;
} TFT812TransformMatrix;

typedef struct
{
 TRotateType Type;
 uint8_ft8 RotateFont;
 int16_ft8 Angle;
 TFT812Point Center;
} TFT812Rotate;

typedef struct
{
 TFT812Pen Pen;
 TFT812Brush Brush;
 TFT812Font Font;
 TFT812Bitmap Bitmap;

 TFT812Rect ClipRect;
 TFT812Rect CurrRect;
 TFT812Point Cursor;

 uint8_ft8 RotateFont;

 uint8_ft8 Stencil;
 uint8_ft8 Tag;

 TRoundingType RoundingType;
 TPixelFormat PixelFormat;

 TFT812CoProcGraphics CPGraphics;
} TFT812Canvas;

typedef struct
{
 TOpr Opr;
 uint32_ft8 RWPtr;
} TFT812IO;

typedef struct
{
 uint32_ft8 Reset;
 uint32_ft8 ReadPtr;
 uint32_ft8 WritePtr;
 uint32_ft8 DlPtr;
} TFT812CoProc;


typedef struct
{

 uint32_ft8 Frequency;
 uint32_ft8 OutRenderMode;
 uint32_ft8 RenderReadScanLine;
 uint32_ft8 RenderWriteTrigger;
 uint32_ft8 hCycle;
 uint32_ft8 hOffset;
 uint32_ft8 hSize;
 uint32_ft8 hSync0;
 uint32_ft8 hSync1;
 uint32_ft8 vCycle;
 uint32_ft8 vOffset;
 uint32_ft8 vSize;
 uint32_ft8 vSync0;
 uint32_ft8 vSync1;
 uint32_ft8 Rotate180;
 uint32_ft8 OutBits;
 uint32_ft8 OutDither;
 uint32_ft8 OutSwizzle;
 uint32_ft8 OutCSpread;
 uint32_ft8 PClockPolarity;
 uint32_ft8 PClock;
} TFT812Display;

typedef struct
{
 uint32_ft8 TouchMode;
 uint32_ft8 TouchADCMode;
 uint32_ft8 TouchCharge;
 uint32_ft8 TouchSettle;
 uint32_ft8 TouchOversample;
 uint32_ft8 TouchRZThreshold;
} TFT812Touch;

typedef struct
{
 uint32_ft8 TransformA;
 uint32_ft8 TransformB;
 uint32_ft8 TransformC;
 uint32_ft8 TransformD;
 uint32_ft8 TransformE;
 uint32_ft8 TransformF;
} TFT812TouchTransform;

typedef struct
{
 uint32_ft8 Flags;
 uint32_ft8 Enable;
 uint32_ft8 Mask;
} TFT812Interrupt;

typedef struct
{
 uint32_ft8 Volume;
 struct
 {
 uint8_ft8 Effect;
 uint8_ft8 Pitch;
 :16;
 };
 uint32_ft8 Play;
} TFT812Sound;

typedef struct
{
 uint32_ft8 Volume;
 uint32_ft8 StartAddress;
 uint32_ft8 Length;
 uint32_ft8 ReadPtr;
 uint32_ft8 Frequency;
 uint32_ft8 Format;
 uint32_ft8 Loop;
 uint32_ft8 Play;
} TFT812Audio;

typedef struct
{

 uint32_ft8 Freq;
 uint32_ft8 Duty;
} TFT812PWM;

typedef struct
{
 uint32_ft8 GPIODIR;
 uint32_ft8 GPIO;
} TFT812GPIO;

typedef struct
{
 TFT812PWM *pPWMCfg;
 TFT812GPIO *pGPIOCfg;
 TFT812Audio *pAudioCfg;
 TFT812Sound *pSoundCfg;
 TFT812Touch *pTouchCfg;
 TFT812Display *pDisplayCfg;
 TFT812Interrupt *pInterruptCfg;
 TFT812TouchTransform *pTTransformCfg;
} TFT812Config;




typedef struct
{




 TFT812Color Color;
 TFT812Alpha Alpha;

 uint8_ft8 Tag;

 TFT812Color ClearColor;
 TFT812Alpha ClearAlpha;
 uint8_ft8 ClearStencil;
 uint8_ft8 ClearTag;

 uint16_ft8 LineWidth;
 uint16_ft8 PointSize;

 uint16_ft8 ScissorLeft;
 uint16_ft8 ScissorTop;
 uint16_ft8 ScissorWidth;
 uint16_ft8 ScissorHeight;

 uint8_ft8 BmpHandle;
 uint8_ft8 Cell;

} TFT812GrContext;

typedef struct
{
 TFT812GrContext *Context;
 uint8_ft8 MaxDepth;
} TFT812GrContextStack;

typedef struct
{
 TFT812GrContext Context;

 TFT812GrContextStack *pUserGrContextStack;
 uint8_ft8 CurrGrContextDepth;

 struct
 {
 Color : 1;
 Alpha : 1;
 Tag : 1;
 ClearColor : 1;
 ClearAlpha : 1;
 ClearStencil : 1;
 ClearTag : 1;
 LineWidth : 1;
 PointSize : 1;
 ScissorPos : 1;
 ScissorSize : 1;
 BmpHandle : 1;
 Cell : 1;

 Unused : 32-13;

 } UpdateContextFlags;



 TFT812BmpConfig BmpHandleCfg[16];

 int8_ft8 CurrGrPrim;
} TFT812Graphics;

typedef struct
{
 TFT812IO IO;





 TFT812Graphics Graphics;

 struct
 {
 uint16_ft8 Width;
 uint16_ft8 Height;
 } Display;

 struct
 { uint16_ft8 ID;
 uint16_ft8 Rev;
 } ChipInfo;

 uint8_ft8 UpdateMode;

} TFT812Controller;
#line 6 "c:/users/viktor/desktop/mikromedia_hmi/library/35/mikromedia_hmi_35c_demo_code/mikroc pro for ft90x/mikromedia_hmi_35c_demo_objects.h"
typedef enum {taNone, taLeft, taCenter, taRight, taCenterX, taCenterY, taRightX} TTextAlign;

typedef struct Screen TScreen;

typedef unsigned long TPointer;

typedef struct tagObjInfo {
 void *Obj;
 char Type;
 char Order;
 char Flags;

 char HitTag;
 int HitX;
 int HitY;
} TObjInfo;

typedef struct tagTouchStat {
 char Pressed;

 char Tag;
 int X;
 int Y;

 TObjInfo ActObjInfo;
} TTouchStat;

typedef void (*TDrawHandler)(TPointer aObj);

typedef void (*TEvtAction)();

typedef struct tagEvtSound {
 char SndAct;
 char Effect;
 char Pitch;
 char Volume;
} TEvtSound;

typedef const struct tagCEvent {
 TEvtAction Action;
 TEvtSound Sound;
} TCEvent;

typedef struct tagEvent {
 TEvtAction Action;
 TEvtSound Sound;
} TEvent;

typedef const struct tagCRect {
 int Left;
 int Top;
 int Width;
 int Height;
} TCRect;

typedef struct tagRect {
 int Left;
 int Top;
 int Width;
 int Height;
} TRect;

typedef struct tagButton {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 uintcolor_ft ColorTo;
 uintcolor_ft Press_ColorTo;
 char Gradient;
 char *Caption;
 TTextAlign TextAlign;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TButton;

typedef struct tagLabel {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char *Caption;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TLabel;

typedef struct tagImage {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 TPointer Picture_Name;
 char Picture_Type;
 char Picture_Ratio;
 uintcolor_ft Blend_Color;
 long Source;
 int RotationAngle;
 int RotationCenterLeft;
 int RotationCenterTop;
 float ScaleX;
 float ScaleY;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TImage;

typedef struct tagCircleButton {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Radius;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 char *Caption;
 TTextAlign TextAlign;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TCircleButton;

typedef struct tagBox {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 uintcolor_ft ColorTo;
 uintcolor_ft Press_ColorTo;
 char Gradient;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TBox;

typedef struct tagCheckBox {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Background_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 char *Caption;
 TTextAlign TextAlign;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Corner_Radius;
 char Checked;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TCheckBox;

struct Screen {
 uintcolor_ft Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned short ButtonsCount;
 TButton *const code *Buttons;
 unsigned short LabelsCount;
 TLabel *const code *Labels;
 unsigned short ImagesCount;
 TImage *const code *Images;
 unsigned short CircleButtonsCount;
 TCircleButton *const code *CircleButtons;
 unsigned short BoxesCount;
 TBox *const code *Boxes;
 unsigned short CheckBoxesCount;
 TCheckBox *const code *CheckBoxes;
 unsigned long DynResStart;
 unsigned short Active;
 unsigned short SniffObjectEvents;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnTagChange;
 TEvent *OnPress;
};




extern const VTFT_OT_BUTTON;
extern const VTFT_OT_LABEL;
extern const VTFT_OT_IMAGE;
extern const VTFT_OT_CIRCLEBUTTON;
extern const VTFT_OT_BOX;
extern const VTFT_OT_CHECKBOX;




extern const VTFT_EVT_UP;
extern const VTFT_EVT_DOWN;
extern const VTFT_EVT_CLICK;
extern const VTFT_EVT_PRESS;




extern const VTFT_SNDACT_NONE;
extern const VTFT_SNDACT_PLAY;
extern const VTFT_SNDACT_STOP;




extern const VTFT_LOAD_RES_NONE;
extern const VTFT_LOAD_RES_STATIC;
extern const VTFT_LOAD_RES_DYNAMIC;
extern const VTFT_LOAD_RES_ALL;




extern const VTFT_DISPLAY_EFF_NONE;
extern const VTFT_DISPLAY_EFF_LIGHTS_FADE;
extern const VTFT_DISPLAY_EFF_LIGHTS_OFF;




extern const VTFT_INT_REPAINT_ON_DOWN;
extern const VTFT_INT_REPAINT_ON_UP;
extern const VTFT_INT_BRING_TO_FRONT;
extern const VTFT_INT_INTRINSIC_CLICK_EFF;


extern const TPointer DrawHandlerTable[44];



extern const TFT812PWM VTFT_FT812_CONFIG_PWM;
extern const TFT812GPIO VTFT_FT812_CONFIG_GPIO;
extern const TFT812Sound VTFT_FT812_CONFIG_SOUND;
extern const TFT812Audio VTFT_FT812_CONFIG_AUDIO;
extern const TFT812Display VTFT_FT812_CONFIG_DISPLAY;
extern const TFT812Interrupt VTFT_FT812_CONFIG_INTERRUPT;

extern TTouchStat TouchS;

extern TScreen Home;

extern TBox Box34;
extern TImage Image75;
extern TImage Image76;
extern TBox Box2;
extern TEvent Box2_OnClick;
extern TImage Image74;
extern TImage Image72;
extern TImage Image73;
extern TImage Image71;
extern TBox Box1;
extern TEvent Box1_OnClick;
extern TImage Image43;
extern TImage Image42;
extern TImage Image40;
extern TImage Image5;
extern TImage Image41;
extern TImage Image44;
extern TBox Box35;
extern TEvent Box35_OnClick;
extern TImage Image39;
extern TBox Box12;
extern TEvent Box12_OnClick;
extern TBox Box16;
extern TBox Box15;
extern TBox Box14;
extern TBox Box21;
extern TEvent Box21_OnClick;
extern TBox Box20;
extern TEvent Box20_OnClick;
extern TBox Box13;
extern TEvent Box13_OnClick;
extern TBox Box7;
extern TEvent Box7_OnClick;
extern TBox Box5;
extern TEvent Box5_OnClick;
extern TBox Box3;
extern TEvent Box3_OnClick;
extern TBox Box31;
extern TEvent Box31_OnClick;
extern TImage Image1;
extern TImage Image17;
extern TImage Image16;
extern TImage Image9;
extern TImage Image8;
extern TImage Image7;
extern TImage Image6;
extern TImage Image14;
extern TImage Image12;
extern TImage Image10;
extern TImage Image3;
extern TImage Image4;
extern TImage Image38;
extern TImage Image37;
extern TEvent Image37_OnClick;
extern TImage Image36;
extern TEvent Image36_OnClick;
extern TImage Image35;
extern TEvent Image35_OnClick;
extern TImage Image29;
extern TImage Image30;
extern TImage Image31;
extern TImage Image27;
extern TImage Image25;
extern TImage Image23;
extern TImage Image21;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel Label5;
extern TLabel Label7;
extern TLabel Label8;
extern TLabel Label9;
extern TLabel Label10;
extern TLabel Label11;
extern TLabel Label15;
extern TLabel Label16;
extern TLabel Label17;
extern TLabel Label20;
extern TLabel Label23;
extern TBox Box28;
extern TEvent Box28_OnClick;
extern TLabel Label35;
extern TLabel Label36;
extern TLabel Label38;
extern TLabel Label40;
extern TLabel Label42;
extern TLabel Label61;
extern TLabel Label68;
extern TLabel Label69;
extern TLabel Label73;
extern TLabel Label74;
extern TLabel Label75;
extern TLabel Label76;
extern TLabel Label77;
extern TLabel Label78;
extern TLabel Label58;
extern TLabel Label60;

extern TLabel *const code Home_Labels[31];
extern TImage *const code Home_Images[36];
extern TBox *const code Home_Boxes[16];

extern TScreen Temperature_Mode;

extern TBox Box45;
extern TImage Image60;
extern TBox Box40;
extern TEvent Box40_OnClick;
extern TBox Box39;
extern TEvent Box39_OnClick;
extern TBox Box38;
extern TEvent Box38_OnClick;
extern TBox Box37;
extern TEvent Box37_OnClick;
extern TImage Image51;
extern TImage Image50;
extern TImage Image49;
extern TImage Image48;
extern TImage Image47;
extern TImage Image46;
extern TImage Image28;
extern TImage Image2;
extern TButton Button30;
extern TEvent Button30_OnClick;
extern TBox Box22;
extern TButton Button47;
extern TBox Box41;
extern TBox Box42;
extern TBox Box43;
extern TBox Box44;
extern TBox Box46;
extern TBox Box47;
extern TBox Box48;
extern TCircleButton CircleButton1;
extern TEvent CircleButton1_OnPress;
extern TCircleButton CircleButton2;
extern TEvent CircleButton2_OnPress;
extern TCircleButton CircleButton3;
extern TEvent CircleButton3_OnPress;
extern TCircleButton CircleButton4;
extern TEvent CircleButton4_OnPress;
extern TBox Box23;
extern TBox Box49;
extern TLabel Label29;
extern TLabel Label31;
extern TLabel Label32;
extern TLabel Label33;
extern TLabel Label46;
extern TLabel Label47;
extern TLabel Label86;
extern TLabel Label87;
extern TLabel Label95;
extern TLabel Label96;

extern TButton *const code Temperature_Mode_Buttons[2];
extern TLabel *const code Temperature_Mode_Labels[10];
extern TImage *const code Temperature_Mode_Images[9];
extern TCircleButton *const code Temperature_Mode_CircleButtons[4];
extern TBox *const code Temperature_Mode_Boxes[15];

extern TScreen Light_Mode;

extern TBox Box61;
extern TImage Image61;
extern TBox Box55;
extern TEvent Box55_OnClick;
extern TBox Box53;
extern TEvent Box53_OnClick;
extern TBox Box52;
extern TEvent Box52_OnClick;
extern TBox Box51;
extern TEvent Box51_OnClick;
extern TImage Image59;
extern TImage Image58;
extern TImage Image57;
extern TImage Image56;
extern TImage Image55;
extern TImage Image54;
extern TImage Image53;
extern TImage Image52;
extern TButton Button31;
extern TEvent Button31_OnClick;
extern TBox Box50;
extern TButton Button32;
extern TBox Box56;
extern TBox Box57;
extern TBox Box58;
extern TBox Box59;
extern TBox Box60;
extern TBox Box62;
extern TBox Box63;
extern TCircleButton CircleButton5;
extern TEvent CircleButton5_OnPress;
extern TCircleButton CircleButton6;
extern TEvent CircleButton6_OnPress;
extern TCircleButton CircleButton7;
extern TEvent CircleButton7_OnPress;
extern TCircleButton CircleButton8;
extern TEvent CircleButton8_OnPress;
extern TBox Box64;
extern TBox Box65;
extern TLabel Label48;
extern TLabel Label49;
extern TLabel Label50;
extern TLabel Label51;
extern TLabel Label52;
extern TLabel Label53;
extern TLabel Label88;
extern TLabel Label89;
extern TLabel Label97;
extern TLabel Label98;

extern TButton *const code Light_Mode_Buttons[2];
extern TLabel *const code Light_Mode_Labels[10];
extern TImage *const code Light_Mode_Images[9];
extern TCircleButton *const code Light_Mode_CircleButtons[4];
extern TBox *const code Light_Mode_Boxes[15];

extern TScreen Keyboard_Screen;

extern TButton Button37;
extern TButton Button38;
extern TEvent Button38_OnClick;
extern TBox Box11;
extern TBox Box24;
extern TEvent Box24_OnClick;
extern TBox Box76;
extern TEvent Box76_OnClick;
extern TBox Box77;
extern TEvent Box77_OnClick;
extern TBox Box78;
extern TEvent Box78_OnClick;
extern TCheckBox CheckBox1;
extern TCheckBox CheckBox2;
extern TCheckBox CheckBox3;
extern TCheckBox CheckBox4;
extern TLabel Label6;
extern TLabel Label26;
extern TLabel Label27;
extern TLabel Label28;

extern TButton *const code Keyboard_Screen_Buttons[2];
extern TLabel *const code Keyboard_Screen_Labels[4];
extern TBox *const code Keyboard_Screen_Boxes[5];
extern TCheckBox *const code Keyboard_Screen_CheckBoxes[4];

extern TScreen System_Log_Screen;

extern TBox Box25;
extern TEvent Box25_OnClick;
extern TImage Image69;
extern TImage Image70;
extern TBox Box10;
extern TEvent Box10_OnClick;
extern TImage Image67;
extern TImage Image68;
extern TBox Box30;
extern TImage Image66;
extern TImage Image65;
extern TButton Button12;
extern TEvent Button12_OnClick;
extern TBox Box9;
extern TButton Button13;
extern TEvent Button13_OnClick;
extern TButton Button14;
extern TEvent Button14_OnClick;
extern TButton Button15;
extern TEvent Button15_OnClick;
extern TButton Button16;
extern TEvent Button16_OnClick;
extern TButton Button17;
extern TEvent Button17_OnClick;
extern TButton Button18;
extern TEvent Button18_OnClick;
extern TButton Button19;
extern TEvent Button19_OnClick;
extern TButton Button20;
extern TEvent Button20_OnClick;
extern TButton Button21;
extern TEvent Button21_OnClick;
extern TButton Button22;
extern TEvent Button22_OnClick;
extern TButton Button23;
extern TEvent Button23_OnClick;
extern TButton Button24;
extern TEvent Button24_OnClick;
extern TButton Button25;
extern TEvent Button25_OnClick;
extern TButton Button26;
extern TEvent Button26_OnClick;
extern TButton Button27;
extern TEvent Button27_OnClick;
extern TButton Button28;
extern TEvent Button28_OnClick;
extern TButton Button29;
extern TBox Box36;
extern TLabel Label24;
extern TLabel Label25;
extern TLabel Label54;
extern TLabel Label55;

extern TButton *const code System_Log_Screen_Buttons[18];
extern TLabel *const code System_Log_Screen_Labels[4];
extern TImage *const code System_Log_Screen_Images[6];
extern TBox *const code System_Log_Screen_Boxes[5];

extern TScreen Green_Power_Screen;

extern TButton Button33;
extern TButton Button34;
extern TEvent Button34_OnClick;
extern TBox Box26;
extern TBox Box66;
extern TLabel Label62;
extern TLabel Label63;
extern TLabel Label64;
extern TLabel Label65;
extern TLabel Label66;
extern TLabel Label67;
extern TLabel Label104;
extern TLabel Label105;

extern TButton *const code Green_Power_Screen_Buttons[2];
extern TLabel *const code Green_Power_Screen_Labels[8];
extern TBox *const code Green_Power_Screen_Boxes[2];

extern TScreen Time_Screen;

extern TBox Box67;
extern TImage Image63;
extern TBox Box74;
extern TImage Image62;
extern TButton Button35;
extern TButton Button36;
extern TEvent Button36_OnClick;
extern TBox Box27;
extern TBox Box68;
extern TBox Box69;
extern TBox Box70;
extern TBox Box71;
extern TBox Box72;
extern TBox Box73;
extern TBox Box75;
extern TLabel Label56;
extern TLabel Label30;
extern TLabel Label57;
extern TLabel Label82;
extern TLabel Label83;
extern TLabel Label84;
extern TLabel Label85;
extern TLabel Label90;
extern TLabel Label91;
extern TLabel Label92;
extern TLabel Label93;
extern TLabel Label94;
extern TLabel Label99;
extern TLabel Label100;
extern TLabel Label79;
extern TLabel Label80;
extern TLabel Label81;

extern TButton *const code Time_Screen_Buttons[2];
extern TLabel *const code Time_Screen_Labels[17];
extern TImage *const code Time_Screen_Images[2];
extern TBox *const code Time_Screen_Boxes[10];

extern TScreen Settings_Screen;

extern TBox Box33;
extern TLabel Label34;
extern TLabel Label44;
extern TLabel Label45;
extern TLabel Label71;
extern TLabel Label72;
extern TButton Button48;
extern TEvent Button48_OnClick;
extern TBox Box79;
extern TButton Button1;
extern TEvent Button1_OnClick;
extern TButton Button2;
extern TEvent Button2_OnClick;
extern TButton Button3;
extern TEvent Button3_OnClick;
extern TButton Button4;
extern TEvent Button4_OnClick;
extern TButton Button5;
extern TEvent Button5_OnClick;
extern TButton Button6;
extern TEvent Button6_OnClick;
extern TButton Button7;
extern TEvent Button7_OnClick;
extern TButton Button8;
extern TEvent Button8_OnClick;
extern TButton Button9;
extern TEvent Button9_OnClick;
extern TButton Button10;
extern TEvent Button10_OnClick;
extern TButton Button39;
extern TEvent Button39_OnClick;
extern TButton Button40;
extern TEvent Button40_OnClick;
extern TButton Button41;
extern TEvent Button41_OnClick;
extern TButton Button42;
extern TEvent Button42_OnClick;
extern TButton Button43;
extern TEvent Button43_OnClick;
extern TButton Button44;
extern TEvent Button44_OnClick;
extern TButton Button45;
extern TButton Button46;
extern TEvent Button46_OnClick;

extern TButton *const code Settings_Screen_Buttons[19];
extern TLabel *const code Settings_Screen_Labels[5];
extern TBox *const code Settings_Screen_Boxes[2];

extern TScreen *CurrentScreen;



void Box10OnClick();
void Box12OnClick();
void Box13OnClick();
void Box1OnClick();
void Box20OnClick();
void Box21OnClick();
void Box24OnClick();
void Box25OnClick();
void Box28OnClick();
void Box2OnClick();
void Box31OnClick();
void Box35OnClick();
void Box37OnClick();
void Box38OnClick();
void Box39OnClick();
void Box3OnClick();
void Box40OnClick();
void Box51OnClick();
void Box52OnClick();
void Box53OnClick();
void Box54OnClick();
void Box55OnClick();
void Box5OnClick();
void Box76OnClick();
void Box77OnClick();
void Box78OnClick();
void Box7OnClick();
void Button10OnClick();
void Button11OnClick();
void Button12OnClick();
void Button13OnClick();
void Button14OnClick();
void Button15OnClick();
void Button16OnClick();
void Button17OnClick();
void Button18OnClick();
void Button19OnClick();
void Button1OnClick();
void Button20OnClick();
void Button21OnClick();
void Button22OnClick();
void Button23OnClick();
void Button24OnClick();
void Button25OnClick();
void Button26OnClick();
void Button27OnClick();
void Button28OnClick();
void Button2OnClick();
void Button39OnClick();
void Button3OnClick();
void Button40OnClick();
void Button41OnClick();
void Button42OnClick();
void Button44OnClick();
void Button46OnClick();
void Button4OnClick();
void Button5OnClick();
void Button6OnClick();
void Button7OnClick();
void Button8OnClick();
void Button9OnClick();
void CircleButton1OnPress();
void CircleButton2OnPress();
void CircleButton3OnPress();
void CircleButton4OnPress();
void CircleButton5OnPress();
void CircleButton6OnPress();
void CircleButton7OnPress();
void CircleButton8OnPress();




extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Label9_Caption[];
extern char Label10_Caption[];
extern char Label11_Caption[];
extern char Label15_Caption[];
extern char Label16_Caption[];
extern char Label17_Caption[];
extern char Label20_Caption[];
extern char Label23_Caption[];
extern char Label35_Caption[];
extern char Label36_Caption[];
extern char Label38_Caption[];
extern char Label40_Caption[];
extern char Label42_Caption[];
extern char Label61_Caption[];
extern char Label68_Caption[];
extern char Label69_Caption[];
extern char Label73_Caption[];
extern char Label74_Caption[];
extern char Label75_Caption[];
extern char Label76_Caption[];
extern char Label77_Caption[];
extern char Label78_Caption[];
extern char Label58_Caption[];
extern char Label60_Caption[];
extern char Button30_Caption[];
extern char Button47_Caption[];
extern char CircleButton1_Caption[];
extern char CircleButton2_Caption[];
extern char CircleButton3_Caption[];
extern char CircleButton4_Caption[];
extern char Label29_Caption[];
extern char Label31_Caption[];
extern char Label32_Caption[];
extern char Label33_Caption[];
extern char Label46_Caption[];
extern char Label47_Caption[];
extern char Label86_Caption[];
extern char Label87_Caption[];
extern char Label95_Caption[];
extern char Label96_Caption[];
extern char Button31_Caption[];
extern char Button32_Caption[];
extern char CircleButton5_Caption[];
extern char CircleButton6_Caption[];
extern char CircleButton7_Caption[];
extern char CircleButton8_Caption[];
extern char Label48_Caption[];
extern char Label49_Caption[];
extern char Label50_Caption[];
extern char Label51_Caption[];
extern char Label52_Caption[];
extern char Label53_Caption[];
extern char Label88_Caption[];
extern char Label89_Caption[];
extern char Label97_Caption[];
extern char Label98_Caption[];
extern char Button37_Caption[];
extern char Button38_Caption[];
extern char CheckBox1_Caption[];
extern char CheckBox2_Caption[];
extern char CheckBox3_Caption[];
extern char CheckBox4_Caption[];
extern char Label6_Caption[];
extern char Label26_Caption[];
extern char Label27_Caption[];
extern char Label28_Caption[];
extern char Button12_Caption[];
extern char Button13_Caption[];
extern char Button14_Caption[];
extern char Button15_Caption[];
extern char Button16_Caption[];
extern char Button17_Caption[];
extern char Button18_Caption[];
extern char Button19_Caption[];
extern char Button20_Caption[];
extern char Button21_Caption[];
extern char Button22_Caption[];
extern char Button23_Caption[];
extern char Button24_Caption[];
extern char Button25_Caption[];
extern char Button26_Caption[];
extern char Button27_Caption[];
extern char Button28_Caption[];
extern char Button29_Caption[];
extern char Label24_Caption[];
extern char Label25_Caption[];
extern char Label54_Caption[];
extern char Label55_Caption[];
extern char Button33_Caption[];
extern char Button34_Caption[];
extern char Label62_Caption[];
extern char Label63_Caption[];
extern char Label64_Caption[];
extern char Label65_Caption[];
extern char Label66_Caption[];
extern char Label67_Caption[];
extern char Label104_Caption[];
extern char Label105_Caption[];
extern char Button35_Caption[];
extern char Button36_Caption[];
extern char Label56_Caption[];
extern char Label30_Caption[];
extern char Label57_Caption[];
extern char Label82_Caption[];
extern char Label83_Caption[];
extern char Label84_Caption[];
extern char Label85_Caption[];
extern char Label90_Caption[];
extern char Label91_Caption[];
extern char Label92_Caption[];
extern char Label93_Caption[];
extern char Label94_Caption[];
extern char Label99_Caption[];
extern char Label100_Caption[];
extern char Label79_Caption[];
extern char Label80_Caption[];
extern char Label81_Caption[];
extern char Label34_Caption[];
extern char Label44_Caption[];
extern char Label45_Caption[];
extern char Label71_Caption[];
extern char Label72_Caption[];
extern char Button48_Caption[];
extern char Button1_Caption[];
extern char Button2_Caption[];
extern char Button3_Caption[];
extern char Button4_Caption[];
extern char Button5_Caption[];
extern char Button6_Caption[];
extern char Button7_Caption[];
extern char Button8_Caption[];
extern char Button9_Caption[];
extern char Button10_Caption[];
extern char Button39_Caption[];
extern char Button40_Caption[];
extern char Button41_Caption[];
extern char Button42_Caption[];
extern char Button43_Caption[];
extern char Button44_Caption[];
extern char Button45_Caption[];
extern char Button46_Caption[];



extern TEvent Box2_OnUpOnClick;
extern TEvent Box1_OnUpOnClick;
extern TEvent Box35_OnUpOnClick;
extern TEvent Box12_OnUpOnClick;
extern TEvent Box21_OnUpOnClick;
extern TEvent Box20_OnUpOnClick;
extern TEvent Box13_OnUpOnClick;
extern TEvent Box7_OnUpOnClick;
extern TEvent Box5_OnUpOnClick;
extern TEvent Box3_OnUpOnClick;
extern TEvent Box31_OnUpOnClick;
extern TEvent Image37_OnUpOnClick;
extern TEvent Image36_OnUpOnClick;
extern TEvent Image35_OnUpOnClick;
extern TEvent Box28_OnUpOnClick;
extern TEvent Box40_OnUpOnClick;
extern TEvent Box39_OnUpOnClick;
extern TEvent Box38_OnUpOnClick;
extern TEvent Box37_OnUpOnClick;
extern TEvent Button30_OnUpOnClick;
extern TEvent CircleButton1_OnUpOnPress;
extern TEvent CircleButton2_OnUpOnPress;
extern TEvent CircleButton3_OnUpOnPress;
extern TEvent CircleButton4_OnUpOnPress;
extern TEvent Box55_OnUpOnClick;
extern TEvent Box53_OnUpOnClick;
extern TEvent Box52_OnUpOnClick;
extern TEvent Box51_OnUpOnClick;
extern TEvent Button31_OnUpOnClick;
extern TEvent CircleButton5_OnUpOnPress;
extern TEvent CircleButton6_OnUpOnPress;
extern TEvent CircleButton7_OnUpOnPress;
extern TEvent CircleButton8_OnUpOnPress;
extern TEvent Button38_OnUpOnClick;
extern TEvent Box24_OnUpOnClick;
extern TEvent Box76_OnUpOnClick;
extern TEvent Box77_OnUpOnClick;
extern TEvent Box78_OnUpOnClick;
extern TEvent Box25_OnUpOnClick;
extern TEvent Box10_OnUpOnClick;
extern TEvent Button12_OnUpOnClick;
extern TEvent Button13_OnUpOnClick;
extern TEvent Button14_OnUpOnClick;
extern TEvent Button15_OnUpOnClick;
extern TEvent Button16_OnUpOnClick;
extern TEvent Button17_OnUpOnClick;
extern TEvent Button18_OnUpOnClick;
extern TEvent Button19_OnUpOnClick;
extern TEvent Button20_OnUpOnClick;
extern TEvent Button21_OnUpOnClick;
extern TEvent Button22_OnUpOnClick;
extern TEvent Button23_OnUpOnClick;
extern TEvent Button24_OnUpOnClick;
extern TEvent Button25_OnUpOnClick;
extern TEvent Button26_OnUpOnClick;
extern TEvent Button27_OnUpOnClick;
extern TEvent Button28_OnUpOnClick;
extern TEvent Button34_OnUpOnClick;
extern TEvent Button36_OnUpOnClick;
extern TEvent Button48_OnUpOnClick;
extern TEvent Button1_OnUpOnClick;
extern TEvent Button2_OnUpOnClick;
extern TEvent Button3_OnUpOnClick;
extern TEvent Button4_OnUpOnClick;
extern TEvent Button5_OnUpOnClick;
extern TEvent Button6_OnUpOnClick;
extern TEvent Button7_OnUpOnClick;
extern TEvent Button8_OnUpOnClick;
extern TEvent Button9_OnUpOnClick;
extern TEvent Button10_OnUpOnClick;
extern TEvent Button39_OnUpOnClick;
extern TEvent Button40_OnUpOnClick;
extern TEvent Button41_OnUpOnClick;
extern TEvent Button42_OnUpOnClick;
extern TEvent Button43_OnUpOnClick;
extern TEvent Button44_OnUpOnClick;
extern TEvent Button46_OnUpOnClick;


void DrawScreenO(TScreen *aScreen, char aOptions);
void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *AButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void DrawCircleButton(TCircleButton *ACircleButton);
void DrawBox(TBox *ABox);
void DrawCheckBox(TCheckBox *ACheckBox);
void ProcessVTFTStack();
void InitVTFTStack();
#line 1 "c:/users/viktor/desktop/mikromedia_hmi/library/35/mikromedia_hmi_35c_demo_code/mikroc pro for ft90x/mikromedia_hmi_35c_demo_resources.h"
#line 8 "C:/Users/Viktor/Desktop/MikroMedia_HMI/library/35/Mikromedia_HMI_35C_Demo_Code/mikroC PRO for FT90X/Mikromedia_HMI_35C_Demo_events_code.c"
unsigned char e=0,a=0,i=0,j=0,k=0,kk=0,dat=0,ti=0,dat_ok=0,hom=1,gr_pow=0,choice_t=0,scr=0,ch_au=0,ch_ha=0,ch_bl=0,ch_de=0,vol=255;
unsigned char arm[6],date[12],tim[5]={0,0,0,0,0};
char xt[4],txt[4],tekst_1[7],tekst_2[7],tek_1[15],tek_2[15];
unsigned long adress;
int ti_le,ha,so,ba,num=0;
int temp_t[4]={181,181,181,181},hum_t[4]={181,181,181,181},dim_l[4]={181,181,181,181},hum_l[4]={181,181,181,181};
int t_t[4]={15,15,15,15},h_t[4]={20,20,20,20},d_l[4]={0,0,0,0},h_l[4]={15,15,15,15};
long ero=0;

typedef struct
{
 char hour;
 char min;
 char day;
 char mon;
 int year;
} datetime_t;

datetime_t datum,datum2;

extern char cSF_test_status;
extern void InitMCU();
extern void SF_Start();
extern void SF_mem();
extern void SF_rem();
extern void SF_Test(char *test);




void Start_mcu() {
 GPIO_Pin_Digital_Input(_GPIO_PIN_NUM_53);
 GPIO_PIN53_bit = 0;
 datum2.hour=14;
 datum2.min=30;
 datum2.day=25;
 datum2.mon=4;
 datum2.year=2016;
}


void Enable_Home_Change() {
 if(j==0) j=1;
 else j=0;
 k=1;
 kk++;
}


void Home_Change() {
 if(k==0) return;
 if(k==1) {

 ero+=TIMER_READ_LS;
 srand((unsigned)ero);
 num=rand()%20+1;

 switch(num) {
 case 1:
 Label9.Font_Color=0x0000FFFF;
 Label10.Font_Color=0x0000FFFF;
 Box14.Color=0x00400080;
 Box15.Color=0x00400080;
 Box14.Color=0x00400080;
 Box15.Color=0x00400080;
 Image9.Visible=0;
 Image16.Visible=0;
 Image29.Visible=1;
 Image30.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 2:
 Label11.Font_Color=0x0000FFFF;
 Box16.Color=0x00400080;
 Image17.Visible=0;
 Image31.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 3:

 break;
 case 4:

 break;
 case 5:
 Box13.Color=0x00400080;
 Label7.Font_Color=0x0000FFFF;
 Label8.Font_Color=0x0000FFFF;
 Image6.Visible=0;
 Image35.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 6:
 Box3.Color=0x00C0C0C0;
 Label36.Font_Color=0x00000000;
 Image10.Visible=0;
 Image21.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 7:

 break;
 case 8:
 Box5.Color=0x00C0C0C0;
 Label38.Font_Color=0x00000000;
 Image12.Visible=0;
 Image23.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 9:

 break;
 case 10:
 Box7.Color=0x00C0C0C0;
 Label40.Font_Color=0x00000000;
 Image14.Visible=0;
 Image25.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 11:

 break;
 case 12:
 Label5.Font_Color=0x00000000;
 Box12.Color=0x00C0C0C0;
 Image1.Visible=0;
 Image27.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 14:
 Box20.Color=0x00FF4000;
 Image7.Visible=0;
 Image36.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 15:
 Box21.Color=0x00008080;
 Image8.Visible=0;
 Image37.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 case 16:
 Box28.Color=0x00800000;
 if(hom==1) DrawScreen(&Home);
 break;
 case 17:
 Box34.Color=0x00000080;
 Image3.Visible=0;
 Image38.Visible=1;
 Image41.Visible=0;
 Image75.Visible=1;
 Image44.Visible=0;
 Image76.Visible=1;
 if(hom==1) DrawScreen(&Home);
 break;
 default:
 Label5.Font_Color=0x00FFFFFF;
 Label7.Font_Color=0x00FFFFFF;
 Label8.Font_Color=0x00FFFFFF;
 Label9.Font_Color=0x00FFFFFF;
 Label10.Font_Color=0x00FFFFFF;
 Label11.Font_Color=0x00FFFFFF;
 Label36.Font_Color=0x00FFFFFF;
 Label38.Font_Color=0x00FFFFFF;
 Label40.Font_Color=0x00FFFFFF;
 Box3.Color=0x00808080;
 Box5.Color=0x00808080;
 Box7.Color=0x00808080;
 Box12.Color=0x00808080;
 Box13.Color=0x008000FF;
 Box14.Color=0x008000FF;
 Box15.Color=0x008000FF;
 Box16.Color=0x008000FF;
 Box20.Color=0x00FF8000;
 Box21.Color=0x00008040;
 Box28.Color=0x00FF0000;
 Box34.Color=0x000000FF;
 Image1.Visible=1;
 Image3.Visible=1;
 Image6.Visible=1;
 Image7.Visible=1;
 Image8.Visible=1;
 Image9.Visible=1;
 Image10.Visible=1;
 Image12.Visible=1;
 Image14.Visible=1;
 Image16.Visible=1;
 Image17.Visible=1;
 Image41.Visible=1;
 Image44.Visible=1;
 Image21.Visible=0;
 Image23.Visible=0;
 Image25.Visible=0;
 Image27.Visible=0;
 Image29.Visible=0;
 Image30.Visible=0;
 Image31.Visible=0;
 Image35.Visible=0;
 Image36.Visible=0;
 Image37.Visible=0;
 Image38.Visible=0;
 Image75.Visible=0;
 Image76.Visible=0;
 if(hom==1) DrawScreen(&Home);
 }
 if(num<17) num++;
 else num=0;
 if(kk>=24) {
 datum2.min++;
 if(datum2.min==60) {
 datum2.min=0;
 datum2.hour++;
 if(datum2.hour==24) {
 datum2.hour=0;
 datum2.day++;
 if((datum2.day==30 && datum2.mon==2 && datum2.year%4==0)||
 (datum2.day==29 && datum2.mon==2 && datum2.year%4!=0)||
 (datum2.day==31 && (datum2.mon==4 || datum2.mon==6 || datum2.mon==9 || datum2.mon==11))||
 (datum2.day==32 && (datum2.mon==1 || datum2.mon==3 || datum2.mon==5 || datum2.mon==7 || datum2.mon==8 || datum2.mon==10 || datum2.mon==12))) {
 datum2.day=1;
 datum2.mon++;
 if(datum2.mon>12) { datum2.mon=1; datum2.year++; }
 }
 }
 }
 kk=0;
 ByteToStr(datum2.hour,Label73.Caption);
 ByteToStr(datum2.min,Label75.Caption);
 ByteToStr(datum2.day,Label76.Caption);
 strcat(Label76.Caption,".");
 ByteToStr(datum2.mon,Label77.Caption);
 strcat(Label77.Caption,".");
 IntToStr(datum2.year,Label78.Caption);
 strcat(Label78.Caption,".");
 }
 k=0;
 }
}




void Draw_state(unsigned char ch) {
 if(scr==0) {
 switch(ch) {
 case 0:
 Label32.Font_Color=0x00FFFF00;
 Label33.Font_Color=0x00FFFFFF;
 Label46.Font_Color=0x00FFFFFF;
 Label47.Font_Color=0x00FFFFFF;
 Image2.Visible=0;
 Image28.Visible=1;
 Image46.Visible=1;
 Image47.Visible=0;
 Image48.Visible=1;
 Image49.Visible=0;
 Image50.Visible=1;
 Image51.Visible=0;
 Image5.Visible=1;
 Image42.Visible=0;
 Image40.Visible=0;
 Image43.Visible=0;
 Label2.Caption="HOME";
 break;
 case 1:
 Label32.Font_Color=0x00FFFFFF;
 Label33.Font_Color=0x00FFFF00;
 Label46.Font_Color=0x00FFFFFF;
 Label47.Font_Color=0x00FFFFFF;
 Image2.Visible=1;
 Image28.Visible=0;
 Image46.Visible=0;
 Image47.Visible=1;
 Image48.Visible=1;
 Image49.Visible=0;
 Image50.Visible=1;
 Image51.Visible=0;
 Image5.Visible=0;
 Image42.Visible=1;
 Image40.Visible=0;
 Image43.Visible=0;
 Label2.Caption="NIGHT";
 break;
 case 2:
 Label32.Font_Color=0x00FFFFFF;
 Label33.Font_Color=0x00FFFFFF;
 Label46.Font_Color=0x00FFFF00;
 Label47.Font_Color=0x00FFFFFF;
 Image2.Visible=1;
 Image28.Visible=0;
 Image46.Visible=1;
 Image47.Visible=0;
 Image48.Visible=0;
 Image49.Visible=1;
 Image50.Visible=1;
 Image51.Visible=0;
 Image5.Visible=0;
 Image42.Visible=0;
 Image40.Visible=1;
 Image43.Visible=0;
 Label2.Caption="DAY";
 break;
 case 3:
 Label32.Font_Color=0x00FFFFFF;
 Label33.Font_Color=0x00FFFFFF;
 Label46.Font_Color=0x00FFFFFF;
 Label47.Font_Color=0x00FFFF00;
 Image2.Visible=1;
 Image28.Visible=0;
 Image46.Visible=1;
 Image47.Visible=0;
 Image48.Visible=1;
 Image49.Visible=0;
 Image50.Visible=0;
 Image51.Visible=1;
 Image5.Visible=0;
 Image42.Visible=0;
 Image40.Visible=0;
 Image43.Visible=1;
 Label2.Caption="PARTY";
 break;
 }
 Box23.Left=temp_t[ch];
 Box49.Left=hum_t[ch];
 IntToStr(t_t[ch],Label95.Caption);
 IntToStr(h_t[ch],Label96.Caption);
 DrawScreen(&Temperature_Mode);
 }
 else {
 switch(ch) {
 case 0:
 Label48.Font_Color=0x00FFFF00;
 Label49.Font_Color=0x00FFFFFF;
 Label50.Font_Color=0x00FFFFFF;
 Label51.Font_Color=0x00FFFFFF;
 Image52.Visible=0;
 Image53.Visible=1;
 Image54.Visible=1;
 Image55.Visible=0;
 Image56.Visible=1;
 Image57.Visible=0;
 Image58.Visible=1;
 Image59.Visible=0;
 Image71.Visible=1;
 Image72.Visible=0;
 Image73.Visible=0;
 Image74.Visible=0;
 Label4.Caption="MEDIA";
 break;
 case 1:
 Label48.Font_Color=0x00FFFFFF;
 Label49.Font_Color=0x00FFFF00;
 Label50.Font_Color=0x00FFFFFF;
 Label51.Font_Color=0x00FFFFFF;
 Image52.Visible=1;
 Image53.Visible=0;
 Image54.Visible=0;
 Image55.Visible=1;
 Image56.Visible=1;
 Image57.Visible=0;
 Image58.Visible=1;
 Image59.Visible=0;
 Image71.Visible=0;
 Image72.Visible=1;
 Image73.Visible=0;
 Image74.Visible=0;
 Label4.Caption="RELAX";
 break;
 case 2:
 Label48.Font_Color=0x00FFFFFF;
 Label49.Font_Color=0x00FFFFFF;
 Label50.Font_Color=0x00FFFF00;
 Label51.Font_Color=0x00FFFFFF;
 Image52.Visible=1;
 Image53.Visible=0;
 Image54.Visible=1;
 Image55.Visible=0;
 Image56.Visible=0;
 Image57.Visible=1;
 Image58.Visible=1;
 Image59.Visible=0;
 Image71.Visible=0;
 Image72.Visible=0;
 Image73.Visible=1;
 Image74.Visible=0;
 Label4.Caption="DINNER";
 break;
 case 3:
 Label48.Font_Color=0x00FFFFFF;
 Label49.Font_Color=0x00FFFFFF;
 Label50.Font_Color=0x00FFFFFF;
 Label51.Font_Color=0x00FFFF00;
 Image52.Visible=1;
 Image53.Visible=0;
 Image54.Visible=1;
 Image55.Visible=0;
 Image56.Visible=1;
 Image57.Visible=0;
 Image58.Visible=0;
 Image59.Visible=1;
 Image71.Visible=0;
 Image72.Visible=0;
 Image73.Visible=0;
 Image74.Visible=1;
 Label4.Caption="PARTY";
 break;
 }
 Box64.Left=dim_l[ch];
 Box65.Left=hum_l[ch];
 IntToStr(d_l[ch],Label97.Caption);
 IntToStr(h_l[ch],Label98.Caption);
 DrawScreen(&Light_Mode);
 }
}



void Green_power_bars() {
 if(gr_pow==1) {
 if(Box71.Top>=207) {
 Box71.Top=46;
 Box71.Height=164;
 strcpy(Label94.Caption,"12:00");
 }
 else {
 Box71.Top+=1;
 Box71.Height-=1;
 ha=12-(int)floor((Box71.Top-46)*12/164);
 IntToStr(ha,Label94.Caption);
 strcat(Label94.Caption,":00");
 }
 if(Box72.Top>=207) {
 Box72.Top=46;
 Box72.Height=164;
 so=100;
 IntToStr(so,tekst_1);
 strcpy(Label99.Caption,tekst_1);
 }
 else {
 Box72.Top+=3;
 Box72.Height-=3;
 strcpy(Label99.Caption,"");
 so=100-(int)floor((Box72.Top-46)*100/164);
 IntToStr(so,tekst_1);
 strcpy(Label99.Caption,tekst_1);
 }
 if(Box73.Top>=207) {
 Box73.Top=46;
 Box73.Height=164;
 ba=100;
 IntToStr(ba,tekst_2);
 strcpy(Label100.Caption,tekst_2);
 }
 else {
 Box73.Top+=2;
 Box73.Height-=2;
 strcpy(Label100.Caption,"");
 ba=100-(int)floor((Box73.Top-46)*100/164);
 IntToStr(ba,tekst_2);
 strcpy(Label100.Caption,tekst_2);
 }
 DrawScreen(&Time_Screen);
 }
}



void Write_Log(char *event) {
 char hour[4],min[4],day[4],mon[4],year[7];
 strcpy(Label105.Caption,Label104.Caption);
 strcpy(Label104.Caption,Label67.Caption);
 strcpy(Label67.Caption,Label66.Caption);
 strcpy(Label66.Caption,Label65.Caption);
 strcpy(Label65.Caption,Label64.Caption);
 strcpy(Label64.Caption,Label63.Caption);
 strcpy(Label63.Caption,Label62.Caption);
 ByteToStr(datum2.hour,hour);
 strcpy(Label62.Caption,hour);
 strcat(Label62.Caption,"  :");
 ByteToStr(datum2.min,min);
 strcat(Label62.Caption,min);
 strcat(Label62.Caption,"  ");
 ByteToStr(datum2.day,day);
 strcat(Label62.Caption,day);
 strcat(Label62.Caption,".");
 ByteToStr(datum2.mon,mon);
 strcat(Label62.Caption,mon);
 strcat(Label62.Caption,".");
 IntToStr(datum2.year,year);
 strcat(Label62.Caption,year);
 strcat(Label62.Caption,".    ");
 strcat(Label62.Caption,event);
 strcpy(Label16.Caption,"Events Up!");
}






void Box1OnClick() {
 if(CheckBox2.Checked==1) {
 GPIO_PIN53_bit = 1;
 Delay_ms(80);
 GPIO_PIN53_bit = 0;
 }
 DrawScreen(&Temperature_Mode);
 scr=0;
 choice_t=0;
 hom=0;
}

void Box2OnClick() {
 if(CheckBox2.Checked==1) {
 GPIO_PIN53_bit = 1;
 Delay_ms(80);
 GPIO_PIN53_bit = 0;
 }
 DrawScreen(&Light_Mode);
 scr=1;
 choice_t=0;
 hom=0;
}

void Box13OnClick() {
 if(CheckBox2.Checked==1) {
 GPIO_PIN53_bit = 1;
 Delay_ms(80);
 GPIO_PIN53_bit = 0;
 }
 DrawScreen(&System_Log_Screen);
 hom=0;
}

void Box20OnClick() {
 if(CheckBox2.Checked==1) {
 GPIO_PIN53_bit = 1;
 Delay_ms(80);
 GPIO_PIN53_bit = 0;
 }
 DrawScreen(&Green_Power_Screen);
 hom=0;
}

void Box21OnClick() {
 if(CheckBox2.Checked==1) {
 GPIO_PIN53_bit = 1;
 Delay_ms(80);
 GPIO_PIN53_bit = 0;
 }
 DrawScreen(&Time_Screen);
 gr_pow=1;
 hom=0;
}

void Box31OnClick() {
 if(CheckBox1.Checked==1) {
 FT812_Sound_SetAndPlay(_FT812_SOUND_XYLOPHONE,_FT812_SOUND_PITCH_B3,vol);
 Delay_ms(1000);
 FT812_Sound_SetAndPlay(_FT812_SOUND_TUBA,_FT812_SOUND_PITCH_B3,vol);
 Delay_ms(1000);
 FT812_Sound_SetAndPlay(_FT812_SOUND_GLOCKENSPIEL,_FT812_SOUND_PITCH_B3,vol);
 }
}

void Box28OnClick() {
 char i;
 datum.hour=0;
 datum.min=0;
 datum.day=0;
 datum.mon=0;
 datum.year=0;
 Button39.Color=0x00FF0000;
 Button40.Color=0x00800000;
 Button41.Color=0x00800000;
 Button42.Color=0x00800000;
 Button46.Color=0x00800000;
 Label34.Font_Color=0x00400000;
 Label44.Font_Color=0x00FFFFFF;
 Label45.Font_Color=0x00FFFFFF;
 Label71.Font_Color=0x00FFFFFF;
 Label72.Font_Color=0x00FFFFFF;
 ti=0;
 for(i=0;i<4;i++) {
 tim[i]=0;
 }
 hom=0;
 DrawScreen(&Settings_Screen);
}

void Box54OnClick() {
 unsigned char i;
 for(i=0;i<12;i++) {
 date[i]=0;
 }
 for(i=0;i<5;i++) {
 tim[i]=0;
 }
 datum.hour=0;
 datum.min=0;
 datum.day=0;
 datum.mon=0;
 datum.year=0;
 strcpy(Label34.Caption,"Hours:  ");
 strcpy(Label44.Caption,"Minutes:  ");
 strcpy(Label45.Caption,"Day:  ");
 strcpy(Label71.Caption,"Month:  ");
 strcpy(Label72.Caption,"Year:  ");
 dat=0;
 hom=1;
 DrawScreen(&Home);
}

void Button1OnClick() {
 if(i<=11){
 date[dat]=1;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"1"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"1"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"1"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"1"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"1"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button2OnClick() {
 if(i<=11){
 date[dat]=2;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"2"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"2"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"2"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"2"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"2"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button3OnClick() {
 if(i<=11){
 date[dat]=3;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"3"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"3"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"3"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"3"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"3"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button4OnClick() {
 if(i<=11){
 date[dat]=4;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"4"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"4"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"4"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"4"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"4"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button5OnClick() {
if(i<=11){
 date[dat]=5;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"5"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"5"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"5"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"5"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"5"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button6OnClick() {
 if(i<=11){
 date[dat]=6;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"6"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"6"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"6"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"6"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"6"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button7OnClick() {
 if(i<=11){
 date[dat]=7;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"7"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"7"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"7"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"7"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"7"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button8OnClick() {
 if(i<=11){
 date[dat]=8;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"8"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"8"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"8"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"8"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"8"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button9OnClick() {
 if(i<=11){
 date[dat]=9;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"9"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"9"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"9"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"9"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"9"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button10OnClick() {
 if(i<=11){
 date[dat]=0;
 if(dat>=0 && dat<=1) { if(tim[0]!=1) { datum.hour=datum.hour*10+date[dat]; strcat(Label34.Caption,"0"); } if(dat==1) tim[0]=1; if(dat==0) dat++; }
 if(dat>=2 && dat<=3) { if(tim[1]!=1) { datum.min=datum.min*10+date[dat]; strcat(Label44.Caption,"0"); } if(dat==3) tim[1]=1; if(dat==2) dat++; }
 if(dat>=4 && dat<=5) { if(tim[2]!=1) { datum.day=datum.day*10+date[dat]; strcat(Label45.Caption,"0"); } if(dat==5) tim[2]=1; if(dat==4) dat++; }
 if(dat>=6 && dat<=7) { if(tim[3]!=1) { datum.mon=datum.mon*10+date[dat]; strcat(Label71.Caption,"0"); } if(dat==7) tim[3]=1; if(dat==6) dat++; }
 if(dat>=8 && dat<=11) { if(tim[4]!=1) { datum.year=datum.year*10+date[dat]; strcat(Label72.Caption,"0"); } if(dat==11) tim[4]=1; dat++; }

 DrawScreen(&Settings_Screen);
 }
}

void Button11OnClick() {
 unsigned char i;
 strcpy(Label73.Caption,"");
 strcpy(Label75.Caption,"");
 strcpy(Label76.Caption,"");
 strcpy(Label77.Caption,"");
 strcpy(Label78.Caption,"");
 strcpy(Label34.Caption,"Hours:  ");
 strcpy(Label44.Caption,"Minutes:  ");
 strcpy(Label45.Caption,"Day:  ");
 strcpy(Label71.Caption,"Month:  ");
 strcpy(Label72.Caption,"Year:  ");
 for(i=0;i<12;i++) {
 date[i]=0;
 }
 for(i=0;i<5;i++) {
 tim[i]=0;
 }
 dat=0;
 datum.hour=0;
 datum.min=0;
 datum.day=0;
 datum.mon=0;
 datum.year=0;
 Button39OnClick();
 DrawScreen(&Settings_Screen);
}

void Button44OnClick() {
 if(tim[0]==1 && tim[1]==1 && tim[2]==1 && tim[3]==1 && tim[4]==1 && datum.hour<24 && datum.min<60 && datum.day<32 && datum.mon<13){
 datum2=datum;
 ByteToStr(datum2.hour,Label73.Caption);
 ByteToStr(datum2.min,Label75.Caption);
 ByteToStr(datum2.day,Label76.Caption);
 strcat(Label76.Caption,".");
 ByteToStr(datum2.mon,Label77.Caption);
 strcat(Label77.Caption,".");
 IntToStr(datum2.year,Label78.Caption);
 strcat(Label78.Caption,".");
 }
}

void Button39OnClick() {
 char i;
 if(ti!=0 && tim[0]!=1) {
 ti=0;
 dat=0;
 Button39.Color=0x00FF0000;
 Button40.Color=0x00800000;
 Button41.Color=0x00800000;
 Button42.Color=0x00800000;
 Button46.Color=0x00800000;
 Label34.Font_Color=0x00400000;
 Label44.Font_Color=0x00FFFFFF;
 Label45.Font_Color=0x00FFFFFF;
 Label71.Font_Color=0x00FFFFFF;
 Label72.Font_Color=0x00FFFFFF;

 strcpy(Label34.Caption,"Hour:  ");
 datum.hour=0;
 for(i=0;i<2;i++) {
 date[i]=0;
 }

 DrawScreen(&Settings_Screen);
 }
}

void Button40OnClick() {
 char i;
 if(ti!=1 && tim[1]!=1) {
 ti=1;
 dat=2;
 Button39.Color=0x00800000;
 Button40.Color=0x00FF0000;
 Button41.Color=0x00800000;
 Button42.Color=0x00800000;
 Button46.Color=0x00800000;
 Label34.Font_Color=0x00FFFFFF;
 Label44.Font_Color=0x00400000;
 Label45.Font_Color=0x00FFFFFF;
 Label71.Font_Color=0x00FFFFFF;
 Label72.Font_Color=0x00FFFFFF;

 strcpy(Label44.Caption,"Minutes:  ");
 datum.min=0;
 for(i=2;i<4;i++) {
 date[i]=0;
 }

 DrawScreen(&Settings_Screen);
 }
}

void Button41OnClick() {
 char i;
 if(ti!=2 && tim[2]!=1) {
 ti=2;
 dat=4;
 Button39.Color=0x00800000;
 Button40.Color=0x00800000;
 Button41.Color=0x00FF0000;
 Button42.Color=0x00800000;
 Button46.Color=0x00800000;
 Label34.Font_Color=0x00FFFFFF;
 Label44.Font_Color=0x00FFFFFF;
 Label45.Font_Color=0x00400000;
 Label71.Font_Color=0x00FFFFFF;
 Label72.Font_Color=0x00FFFFFF;

 strcpy(Label45.Caption,"Day:  ");
 datum.day=0;
 for(i=4;i<6;i++) {
 date[i]=0;
 }

 DrawScreen(&Settings_Screen);
 }
}

void Button42OnClick() {
 char i;
 if(ti!=3 && tim[3]!=1) {
 ti=3;
 dat=6;
 Button39.Color=0x00800000;
 Button40.Color=0x00800000;
 Button41.Color=0x00800000;
 Button42.Color=0x00FF0000;
 Button46.Color=0x00800000;
 Label34.Font_Color=0x00FFFFFF;
 Label44.Font_Color=0x00FFFFFF;
 Label45.Font_Color=0x00FFFFFF;
 Label71.Font_Color=0x00400000;
 Label72.Font_Color=0x00FFFFFF;

 strcpy(Label71.Caption,"Month:  ");
 datum.mon=0;
 for(i=6;i<8;i++) {
 date[i]=0;
 }

 DrawScreen(&Settings_Screen);
 }
}

void Button46OnClick() {
 char i;
 if(ti!=4 && tim[4]!=1) {
 ti=4;
 dat=8;
 Button39.Color=0x00800000;
 Button40.Color=0x00800000;
 Button41.Color=0x00800000;
 Button42.Color=0x00800000;
 Button46.Color=0x00FF0000;
 Label34.Font_Color=0x00FFFFFF;
 Label44.Font_Color=0x00FFFFFF;
 Label45.Font_Color=0x00FFFFFF;
 Label71.Font_Color=0x00FFFFFF;
 Label72.Font_Color=0x00400000;

 strcpy(Label72.Caption,"Year:  ");
 datum.year=0;
 for(i=8;i<12;i++) {
 date[i]=0;
 }

 DrawScreen(&Settings_Screen);
 }
}

void Button12OnClick() {
 strcpy(Label23.Caption,Label94.Caption);
 strcat(Label23.Caption,"h");
 gr_pow=0;
 hom=1;
 DrawScreen(&Home);
}

void Box35OnClick() {
 DrawScreen(&Keyboard_Screen);
 hom=0;
}

void Box37OnClick() {
 choice_t=0;
 Write_Log("Heating mode: Home");
 Draw_state(choice_t);
}

void Box38OnClick() {
 choice_t=1;
 Write_Log("Heating mode: Night");
 Draw_state(choice_t);
}

void Box39OnClick() {
 choice_t=2;
 Write_Log("Heating mode: Day");
 Draw_state(choice_t);
}

void Box40OnClick() {
 choice_t=3;
 Write_Log("Heating mode: Party");
 Draw_state(choice_t);
}

void CircleButton1OnPress() {
 if(Box47.Left<Box23.Left) Box23.Left-=1;
 t_t[choice_t]=15+(int)floor((Box23.Left-181)*15/81);
 temp_t[choice_t]=Box23.Left;
 IntToStr(t_t[choice_t],Label95.Caption);
 DrawScreen(&Temperature_Mode);
}

void CircleButton2OnPress() {
 if(Box48.Left<Box49.Left) Box49.Left-=1;
 h_t[choice_t]=20+(int)floor((Box49.Left-181)*60/81);
 hum_t[choice_t]=Box49.Left;
 IntToStr(h_t[choice_t],Label96.Caption);
 DrawScreen(&Temperature_Mode);
}

void CircleButton3OnPress() {
 if((Box47.Left+Box47.Width)>(Box23.Left+Box23.Width)) Box23.Left+=1;
 t_t[choice_t]=15+(int)floor((Box23.Left-181)*15/81);
 temp_t[choice_t]=Box23.Left;
 IntToStr(t_t[choice_t],Label95.Caption);
 DrawScreen(&Temperature_Mode);
}

void CircleButton4OnPress() {
 if((Box48.Left+Box48.Width)>(Box49.Left+Box49.Width)) Box49.Left+=1;
 h_t[choice_t]=20+(int)floor((Box49.Left-181)*60/81);
 hum_t[choice_t]=Box49.Left;
 IntToStr(h_t[choice_t],Label96.Caption);
 DrawScreen(&Temperature_Mode);
}

void Box51OnClick() {
 choice_t=0;
 Write_Log("Lighting mode: Media");
 Draw_state(choice_t);
}

void Box52OnClick() {
 choice_t=1;
 Write_Log("Lighting mode: Relax");
 Draw_state(choice_t);
}

void Box53OnClick() {
 choice_t=2;
 Write_Log("Lighting mode: Dinner");
 Draw_state(choice_t);
}

void Box55OnClick() {
 choice_t=3;
 Write_Log("Lighting mode: Party");
 Draw_state(choice_t);
}

void CircleButton5OnPress() {
 if(Box62.Left<Box64.Left) Box64.Left-=1;
 d_l[choice_t]=0+(int)floor((Box64.Left-181)*100/81);
 dim_l[choice_t]=Box64.Left;
 IntToStr(d_l[choice_t],Label97.Caption);
 DrawScreen(&Light_Mode);
}

void CircleButton6OnPress() {
 if(Box63.Left<Box65.Left) Box65.Left-=1;
 h_l[choice_t]=15+(int)floor((Box65.Left-181)*15/81);
 hum_l[choice_t]=Box65.Left;
 IntToStr(h_l[choice_t],Label98.Caption);
 DrawScreen(&Light_Mode);
}

void CircleButton7OnPress() {
 if((Box62.Left+Box62.Width)>(Box64.Left+Box64.Width)) Box64.Left+=1;
 d_l[choice_t]=0+(int)floor((Box64.Left-181)*100/81);
 dim_l[choice_t]=Box64.Left;
 IntToStr(d_l[choice_t],Label97.Caption);
 DrawScreen(&Light_Mode);
}

void CircleButton8OnPress() {
 if((Box63.Left+Box63.Width)>(Box65.Left+Box65.Width)) Box65.Left+=1;
 h_l[choice_t]=15+(int)floor((Box65.Left-181)*15/81);
 hum_l[choice_t]=Box65.Left;
 IntToStr(h_l[choice_t],Label98.Caption);
 DrawScreen(&Light_Mode);
}

void Button13OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"1");
 DrawScreen(&System_Log_Screen);
 }
}

void Button14OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"2");
 DrawScreen(&System_Log_Screen);
 }
}

void Button15OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"3");
 DrawScreen(&System_Log_Screen);
 }
}

void Button16OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"4");
 DrawScreen(&System_Log_Screen);
 }
}

void Button17OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"5");
 DrawScreen(&System_Log_Screen);
 }
}

void Button18OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"6");
 DrawScreen(&System_Log_Screen);
 }
}

void Button19OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"7");
 DrawScreen(&System_Log_Screen);
 }
}

void Button20OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"8");
 DrawScreen(&System_Log_Screen);
 }
}

void Button21OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"9");
 DrawScreen(&System_Log_Screen);
 }
}

void Button22OnClick() {
 if(i<=5){
 arm[i]=1;
 i++;
 strcat(Label24.Caption,"0");
 DrawScreen(&System_Log_Screen);
 }
}

void Button23OnClick() {
 if(i<=5){
 arm[i]=0x0A;
 i++;
 strcat(Label24.Caption,"A");
 DrawScreen(&System_Log_Screen);
 }
}

void Button24OnClick() {
 if(i<=5){
 arm[i]=0x0B;
 i++;
 strcat(Label24.Caption,"B");
 DrawScreen(&System_Log_Screen);
 }
}

void Button25OnClick() {
 if(i<=5){
 arm[i]=0x0C;
 i++;
 strcat(Label24.Caption,"C");
 DrawScreen(&System_Log_Screen);
 }
}

void Button26OnClick() {
 if(i<=5){
 arm[i]=0x0D;
 i++;
 strcat(Label24.Caption,"D");
 DrawScreen(&System_Log_Screen);
 }
}

void Button27OnClick() {
 char cnt;
 for(cnt=0;cnt<=5;cnt++) arm[cnt]=0;
 i=0;
 strcpy(Label24.Caption,"");
 DrawScreen(&System_Log_Screen);
}

void Button28OnClick() {
 unsigned char l,cnt[4];
 if(i==6) {
 if(a==0) {
 a=1;
 i=0;
 InitMCU();
 SF_Start();
 SF_mem();

 }
 else {
 i=0;
 InitMCU();
 SF_Start();
 SF_rem();

 }
 DrawScreen(&System_Log_Screen);
 Delay_ms(2000);
 strcpy(Label24.Caption," ");
 hom=1;
 DrawScreen(&Home);
 }
}

void Box10OnClick() {
 Image67.Visible=0;
 Image68.Visible=1;
 Image69.Visible=1;
 Image70.Visible=0;
 Label54.Font_Color=0x00FFFF00;
 Label55.Font_Color=0x00FFFFFF;
 DrawScreen(&System_Log_Screen);
}

void Box25OnClick() {
 Image67.Visible=1;
 Image68.Visible=0;
 Image69.Visible=0;
 Image70.Visible=1;
 Label54.Font_Color=0x00FFFFFF;
 Label55.Font_Color=0x00FFFF00;
 DrawScreen(&System_Log_Screen);
}

void Box24OnClick() {
 CheckBox1.Checked=1-CheckBox1.Checked;
 DrawScreen(&Keyboard_Screen);
 vol=255-vol;
 FT812_Sound_SetAndPlay(_FT812_SOUND_XYLOPHONE,_FT812_SOUND_PITCH_B3,vol);
 Delay_ms(1000);
}

void Box76OnClick() {
 CheckBox2.Checked=1-CheckBox2.Checked;
 DrawScreen(&Keyboard_Screen);
 if(CheckBox2.Checked==1) {
 GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_53);
 GPIO_PIN53_bit = 1;
 Delay_ms(444);
 GPIO_PIN53_bit = 0;
 }
 else {
 GPIO_Pin_Digital_Input(_GPIO_PIN_NUM_53);
 GPIO_PIN53_bit = 0;
 }
}

void Box77OnClick() {
 CheckBox3.Checked=1-CheckBox3.Checked;
 if(CheckBox3.Checked==1) FT812_PWM_Duty(64);
 else FT812_PWM_Duty(128);
 DrawScreen(&Keyboard_Screen);
}

void Box78OnClick() {
 CheckBox4.Checked=1-CheckBox4.Checked;
 DrawScreen(&Keyboard_Screen);
 Delay_ms(1000);
 Button12OnClick();
 Delay_ms(4000);
 Box1OnClick();
 Delay_ms(2500);
 Box38OnClick();
 Delay_ms(2500);
 Box39OnClick();
 Delay_ms(2500);
 Box40OnClick();
 Delay_ms(2500);
 Button12OnClick();
 Delay_ms(4000);
 Box2OnClick();
 Delay_ms(2500);
 Box52OnClick();
 Delay_ms(2500);
 Box53OnClick();
 Delay_ms(2500);
 Box55OnClick();
 Delay_ms(2500);
 Button12OnClick();
 Delay_ms(4000);
 Box13OnClick();
 Delay_ms(2500);
 Box10OnClick();
 Delay_ms(2500);
 Box25OnClick();
 Delay_ms(2500);
 Button13OnClick();
 Delay_ms(500);
 Button14OnClick();
 Delay_ms(500);
 Button15OnClick();
 Delay_ms(500);
 Button16OnClick();
 Delay_ms(500);
 Button17OnClick();
 Delay_ms(500);
 Button18OnClick();
 Delay_ms(500);
 Button28OnClick();
 Delay_ms(4000);
 Box13OnClick();
 Delay_ms(2500);
 Button13OnClick();
 Delay_ms(500);
 Button14OnClick();
 Delay_ms(500);
 Button15OnClick();
 Delay_ms(500);
 Button16OnClick();
 Delay_ms(500);
 Button17OnClick();
 Delay_ms(500);
 Button18OnClick();
 Delay_ms(500);
 Button28OnClick();
 Delay_ms(4000);
 Box20OnClick();
 Delay_ms(10000);
 Button12OnClick();
 Delay_ms(4000);
 Box21OnClick();
 Delay_ms(10000);
 Button12OnClick();
 CheckBox4.Checked=1-CheckBox4.Checked;
}

void Box12OnClick() {
 Box3.Color=0x00808080;
 Box5.Color=0x00808080;
 Box7.Color=0x00808080;
 Image21.Visible=0;
 Image23.Visible=0;
 Image25.Visible=0;
 Label36.Font_Color=0x00FFFFFF;
 Label38.Font_Color=0x00FFFFFF;
 Label40.Font_Color=0x00FFFFFF;
 Image10.Visible=1;
 Image12.Visible=1;
 Image14.Visible=1;
 DrawScreen(&Home);
}

void Box3OnClick() {
 if(Box3.Color==0x00808080) {
 Box3.Color=0x00C0C0C0;
 Label36.Font_Color=0x00000000;
 Image10.Visible=0;
 Image21.Visible=1;
 }
 else {
 Box3.Color=0x00808080;
 Label36.Font_Color=0x00FFFFFF;
 Image10.Visible=1;
 Image21.Visible=0;
 }
 DrawScreen(&Home);
}

void Box5OnClick() {
 if(Box5.Color==0x00808080) {
 Box5.Color=0x00C0C0C0;
 Label38.Font_Color=0x00000000;
 Image12.Visible=0;
 Image23.Visible=1;
 }
 else {
 Box5.Color=0x00808080;
 Label38.Font_Color=0x00FFFFFF;
 Image12.Visible=1;
 Image23.Visible=0;
 }
 DrawScreen(&Home);
}

void Box7OnClick() {
 if(Box7.Color==0x00808080) {
 Box7.Color=0x00C0C0C0;
 Label40.Font_Color=0x00000000;
 Image14.Visible=0;
 Image25.Visible=1;
 }
 else {
 Box7.Color=0x00808080;
 Label40.Font_Color=0x00FFFFFF;
 Image14.Visible=1;
 Image25.Visible=0;
 }
 DrawScreen(&Home);
}
