#line 1 "C:/Users/Viktor/Desktop/MikroMedia_HMI/library/50/Mikromedia_HMI_50C_Demo_Code/mikroC PRO for FT90X/Mikromedia_HMI_50C_Demo_main.c"
#line 1 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/mikromedia_hmi_50c_demo_objects.h"
#line 1 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/ft812_types.h"
#line 21 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/ft812_types.h"
typedef unsigned char uint8_ft8;
typedef signed char int8_ft8;
typedef unsigned int uint16_ft8;
typedef int int16_ft8;
typedef unsigned long uint32_ft8;
typedef long int32_ft8;
typedef unsigned long long uint64_ft8;
typedef long long int64_ft8;

typedef unsigned long uintcolor_ft;

typedef enum {cmdREAD, cmdWRITE} TCmd;

typedef enum {opNONE, opREAD, opWRITE} TOpr;

typedef enum {umNONE, umDL=1<<0, umCP=1<<1, umGRAM=1<<2} TUpdateMode;

typedef enum {pfINTEGER, pf12P4=1<<0} TPixelFormat;

typedef enum {rndUP, rndDOWN, rndNEAREST} TRoundingType;

typedef enum {rtCurrRectCenter, rtRotCenter} TRotateType;

typedef uint8_ft8 TFT812Alpha;
typedef uint8_ft8 TFT812Handle;

typedef struct
{
 int16_ft8 X;
 int16_ft8 Y;
} TFT812Point;

typedef struct
{
 int16_ft8 Left;
 int16_ft8 Top;
 uint16_ft8 Width;
 uint16_ft8 Height;
} TFT812Rect;

typedef struct
{
 union
 {
 struct
 {
 TFT812Point P1, P2, P3, P4;
 };
 TFT812Point P[4];
 };
} TFT812Square;

typedef union
{
 struct
 {
 uint8_ft8 B;
 uint8_ft8 G;
 uint8_ft8 R;
 };
 uint32_ft8 RGB;
} TFT812Color;

typedef struct
{
 TFT812Color Color;
 TFT812Alpha Alpha;
 uint16_ft8 Width;
} TFT812Pen;

typedef struct
{
 TFT812Color ColorBg;
 TFT812Color Color;


 TFT812Color ColorTo;
 uint8_ft8 Gradient;
 TFT812Alpha Alpha;
 uint8_ft8 Style;
} TFT812Brush;




typedef struct
{

 uint8_ft8 FontWidth[ 256 ];
 uint32_ft8 FontBitmapFormat;
 uint32_ft8 FontLineStride;
 uint32_ft8 FontWidthInPixels;
 uint32_ft8 FontHeightInPixels;
 uint32_ft8 PointerToFontGraphicsData;
} TFT812FontGraphics;

typedef struct
{
 TFT812FontGraphics GrData;
 uint16_ft8 FirstChar;
 uint16_ft8 LastChar;
} TFT812CharSetDsc;

typedef struct
{
 uint32_ft8 Name;
 uint32_ft8 Source;
 TFT812Color Color;
 TFT812Alpha Alpha;
 TFT812Handle Handle;
 TFT812CharSetDsc CharSetDsc;
} TFT812Font;

typedef struct
{
 uint8_ft8 Format;
 uint16_ft8 LineStride;

 uint16_ft8 Height;
} TFT812BmpLayout;

typedef struct
{
 uint8_ft8 FwFlags;
 uint16_ft8 Width;
 uint16_ft8 Height;
} TFT812BmpSize;

typedef struct
{
 uint32_ft8 Source;
 TFT812BmpLayout Layout;
 TFT812BmpSize Size;
} TFT812BmpConfig;

typedef struct
{
 TFT812BmpConfig Configs[16];
 uint8_ft8 Current;
} TFT812BmpHandle;

typedef struct
{
 TFT812BmpConfig Config;
 TFT812Color BlendColor;
 TFT812Alpha Alpha;
 TFT812Handle Handle;
} TFT812Bitmap;

typedef struct
{
 uint16_ft8 Hour;
 uint16_ft8 Min;
 uint16_ft8 Sec;
 uint16_ft8 mSec;
} TFT812Time;

typedef struct
{
 uint32_ft8 DrawingOptions;
 uint16_ft8 Val;
 uint16_ft8 Size;
 uint16_ft8 Range;
 uint16_ft8 Minor;
 uint16_ft8 Major;
 TFT812Time Time;
 uint8_ft8 Style;
} TFT812CoProcGraphics;

typedef struct
{
 uint32_ft8 a;
 uint32_ft8 b;
 uint32_ft8 c;
 uint32_ft8 d;
 uint32_ft8 e;
 uint32_ft8 f;
} TFT812TransformMatrix;

typedef struct
{
 TRotateType Type;
 uint8_ft8 RotateFont;
 int16_ft8 Angle;
 TFT812Point Center;
} TFT812Rotate;

typedef struct
{
 TFT812Pen Pen;
 TFT812Brush Brush;
 TFT812Font Font;
 TFT812Bitmap Bitmap;

 TFT812Rect ClipRect;
 TFT812Rect CurrRect;
 TFT812Point Cursor;

 uint8_ft8 RotateFont;

 uint8_ft8 Stencil;
 uint8_ft8 Tag;

 TRoundingType RoundingType;
 TPixelFormat PixelFormat;

 TFT812CoProcGraphics CPGraphics;
} TFT812Canvas;

typedef struct
{
 TOpr Opr;
 uint32_ft8 RWPtr;
} TFT812IO;

typedef struct
{
 uint32_ft8 Reset;
 uint32_ft8 ReadPtr;
 uint32_ft8 WritePtr;
 uint32_ft8 DlPtr;
} TFT812CoProc;


typedef struct
{

 uint32_ft8 Frequency;
 uint32_ft8 OutRenderMode;
 uint32_ft8 RenderReadScanLine;
 uint32_ft8 RenderWriteTrigger;
 uint32_ft8 hCycle;
 uint32_ft8 hOffset;
 uint32_ft8 hSize;
 uint32_ft8 hSync0;
 uint32_ft8 hSync1;
 uint32_ft8 vCycle;
 uint32_ft8 vOffset;
 uint32_ft8 vSize;
 uint32_ft8 vSync0;
 uint32_ft8 vSync1;
 uint32_ft8 Rotate180;
 uint32_ft8 OutBits;
 uint32_ft8 OutDither;
 uint32_ft8 OutSwizzle;
 uint32_ft8 OutCSpread;
 uint32_ft8 PClockPolarity;
 uint32_ft8 PClock;
} TFT812Display;

typedef struct
{
 uint32_ft8 TouchMode;
 uint32_ft8 TouchADCMode;
 uint32_ft8 TouchCharge;
 uint32_ft8 TouchSettle;
 uint32_ft8 TouchOversample;
 uint32_ft8 TouchRZThreshold;
} TFT812Touch;

typedef struct
{
 uint32_ft8 TransformA;
 uint32_ft8 TransformB;
 uint32_ft8 TransformC;
 uint32_ft8 TransformD;
 uint32_ft8 TransformE;
 uint32_ft8 TransformF;
} TFT812TouchTransform;

typedef struct
{
 uint32_ft8 Flags;
 uint32_ft8 Enable;
 uint32_ft8 Mask;
} TFT812Interrupt;

typedef struct
{
 uint32_ft8 Volume;
 struct
 {
 uint8_ft8 Effect;
 uint8_ft8 Pitch;
 :16;
 };
 uint32_ft8 Play;
} TFT812Sound;

typedef struct
{
 uint32_ft8 Volume;
 uint32_ft8 StartAddress;
 uint32_ft8 Length;
 uint32_ft8 ReadPtr;
 uint32_ft8 Frequency;
 uint32_ft8 Format;
 uint32_ft8 Loop;
 uint32_ft8 Play;
} TFT812Audio;

typedef struct
{

 uint32_ft8 Freq;
 uint32_ft8 Duty;
} TFT812PWM;

typedef struct
{
 uint32_ft8 GPIODIR;
 uint32_ft8 GPIO;
} TFT812GPIO;

typedef struct
{
 TFT812PWM *pPWMCfg;
 TFT812GPIO *pGPIOCfg;
 TFT812Audio *pAudioCfg;
 TFT812Sound *pSoundCfg;
 TFT812Touch *pTouchCfg;
 TFT812Display *pDisplayCfg;
 TFT812Interrupt *pInterruptCfg;
 TFT812TouchTransform *pTTransformCfg;
} TFT812Config;




typedef struct
{




 TFT812Color Color;
 TFT812Alpha Alpha;

 uint8_ft8 Tag;

 TFT812Color ClearColor;
 TFT812Alpha ClearAlpha;
 uint8_ft8 ClearStencil;
 uint8_ft8 ClearTag;

 uint16_ft8 LineWidth;
 uint16_ft8 PointSize;

 uint16_ft8 ScissorLeft;
 uint16_ft8 ScissorTop;
 uint16_ft8 ScissorWidth;
 uint16_ft8 ScissorHeight;

 uint8_ft8 BmpHandle;
 uint8_ft8 Cell;

} TFT812GrContext;

typedef struct
{
 TFT812GrContext *Context;
 uint8_ft8 MaxDepth;
} TFT812GrContextStack;

typedef struct
{
 TFT812GrContext Context;

 TFT812GrContextStack *pUserGrContextStack;
 uint8_ft8 CurrGrContextDepth;

 struct
 {
 Color : 1;
 Alpha : 1;
 Tag : 1;
 ClearColor : 1;
 ClearAlpha : 1;
 ClearStencil : 1;
 ClearTag : 1;
 LineWidth : 1;
 PointSize : 1;
 ScissorPos : 1;
 ScissorSize : 1;
 BmpHandle : 1;
 Cell : 1;

 Unused : 32-13;

 } UpdateContextFlags;



 TFT812BmpConfig BmpHandleCfg[16];

 int8_ft8 CurrGrPrim;
} TFT812Graphics;

typedef struct
{
 TFT812IO IO;





 TFT812Graphics Graphics;

 struct
 {
 uint16_ft8 Width;
 uint16_ft8 Height;
 } Display;

 struct
 { uint16_ft8 ID;
 uint16_ft8 Rev;
 } ChipInfo;

 uint8_ft8 UpdateMode;

} TFT812Controller;
#line 6 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/mikromedia_hmi_50c_demo_objects.h"
typedef enum {taNone, taLeft, taCenter, taRight, taCenterX, taCenterY, taRightX} TTextAlign;

typedef struct Screen TScreen;

typedef unsigned long TPointer;

typedef struct tagObjInfo {
 void *Obj;
 char Type;
 char Order;
 char Flags;

 char HitTag;
 int HitX;
 int HitY;
} TObjInfo;

typedef struct tagTouchStat {
 char Pressed;

 char Tag;
 int X;
 int Y;

 TObjInfo ActObjInfo;
} TTouchStat;

typedef void (*TDrawHandler)(TPointer aObj);

typedef void (*TEvtAction)();

typedef struct tagEvtSound {
 char SndAct;
 char Effect;
 char Pitch;
 char Volume;
} TEvtSound;

typedef const struct tagCEvent {
 TEvtAction Action;
 TEvtSound Sound;
} TCEvent;

typedef struct tagEvent {
 TEvtAction Action;
 TEvtSound Sound;
} TEvent;

typedef const struct tagCRect {
 int Left;
 int Top;
 int Width;
 int Height;
} TCRect;

typedef struct tagRect {
 int Left;
 int Top;
 int Width;
 int Height;
} TRect;

typedef struct tagButton {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 uintcolor_ft ColorTo;
 uintcolor_ft Press_ColorTo;
 char Gradient;
 char *Caption;
 TTextAlign TextAlign;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TButton;

typedef struct tagLabel {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char *Caption;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TLabel;

typedef struct tagImage {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 TPointer Picture_Name;
 char Picture_Type;
 char Picture_Ratio;
 uintcolor_ft Blend_Color;
 long Source;
 int RotationAngle;
 int RotationCenterLeft;
 int RotationCenterTop;
 float ScaleX;
 float ScaleY;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TImage;

typedef struct tagCircleButton {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Radius;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 char *Caption;
 TTextAlign TextAlign;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TCircleButton;

typedef struct tagBox {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 uintcolor_ft ColorTo;
 uintcolor_ft Press_ColorTo;
 char Gradient;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TBox;

typedef struct tagCheckBox {
 TScreen *OwnerScreen;
 char Order;
 char Visible;
 char Opacity;
 char Tag;
 int Left;
 int Top;
 int Width;
 int Height;
 char Pen_Width;
 uintcolor_ft Pen_Color;
 uintcolor_ft Background_Color;
 uintcolor_ft Color;
 uintcolor_ft Press_Color;
 char *Caption;
 TTextAlign TextAlign;
 TPointer FontName;
 uintcolor_ft Font_Color;
 char FontHandle;
 long Source;
 char Corner_Radius;
 char Checked;
 char Active;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnClick;
 TEvent *OnPress;
} TCheckBox;

struct Screen {
 uintcolor_ft Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned short ButtonsCount;
 TButton *const code *Buttons;
 unsigned short LabelsCount;
 TLabel *const code *Labels;
 unsigned short ImagesCount;
 TImage *const code *Images;
 unsigned short CircleButtonsCount;
 TCircleButton *const code *CircleButtons;
 unsigned short BoxesCount;
 TBox *const code *Boxes;
 unsigned short CheckBoxesCount;
 TCheckBox *const code *CheckBoxes;
 unsigned long DynResStart;
 unsigned short Active;
 unsigned short SniffObjectEvents;
 TEvent *OnUp;
 TEvent *OnDown;
 TEvent *OnTagChange;
 TEvent *OnPress;
};




extern const VTFT_OT_BUTTON;
extern const VTFT_OT_LABEL;
extern const VTFT_OT_IMAGE;
extern const VTFT_OT_CIRCLEBUTTON;
extern const VTFT_OT_BOX;
extern const VTFT_OT_CHECKBOX;




extern const VTFT_EVT_UP;
extern const VTFT_EVT_DOWN;
extern const VTFT_EVT_CLICK;
extern const VTFT_EVT_PRESS;




extern const VTFT_SNDACT_NONE;
extern const VTFT_SNDACT_PLAY;
extern const VTFT_SNDACT_STOP;




extern const VTFT_LOAD_RES_NONE;
extern const VTFT_LOAD_RES_STATIC;
extern const VTFT_LOAD_RES_DYNAMIC;
extern const VTFT_LOAD_RES_ALL;




extern const VTFT_DISPLAY_EFF_NONE;
extern const VTFT_DISPLAY_EFF_LIGHTS_FADE;
extern const VTFT_DISPLAY_EFF_LIGHTS_OFF;




extern const VTFT_INT_REPAINT_ON_DOWN;
extern const VTFT_INT_REPAINT_ON_UP;
extern const VTFT_INT_BRING_TO_FRONT;
extern const VTFT_INT_INTRINSIC_CLICK_EFF;


extern const TPointer DrawHandlerTable[44];



extern const TFT812PWM VTFT_FT812_CONFIG_PWM;
extern const TFT812GPIO VTFT_FT812_CONFIG_GPIO;
extern const TFT812Sound VTFT_FT812_CONFIG_SOUND;
extern const TFT812Audio VTFT_FT812_CONFIG_AUDIO;
extern const TFT812Display VTFT_FT812_CONFIG_DISPLAY;
extern const TFT812Interrupt VTFT_FT812_CONFIG_INTERRUPT;

extern TTouchStat TouchS;

extern TScreen Home;

extern TBox Box34;
extern TImage Image75;
extern TImage Image76;
extern TBox Box2;
extern TEvent Box2_OnClick;
extern TImage Image74;
extern TImage Image72;
extern TImage Image73;
extern TImage Image71;
extern TBox Box1;
extern TEvent Box1_OnClick;
extern TImage Image43;
extern TImage Image42;
extern TImage Image40;
extern TImage Image5;
extern TImage Image41;
extern TImage Image64;
extern TImage Image45;
extern TImage Image44;
extern TBox Box35;
extern TEvent Box35_OnClick;
extern TImage Image39;
extern TBox Box12;
extern TEvent Box12_OnClick;
extern TBox Box19;
extern TBox Box18;
extern TBox Box17;
extern TBox Box16;
extern TBox Box15;
extern TBox Box14;
extern TBox Box21;
extern TEvent Box21_OnClick;
extern TBox Box20;
extern TEvent Box20_OnClick;
extern TBox Box13;
extern TEvent Box13_OnClick;
extern TBox Box8;
extern TEvent Box8_OnClick;
extern TBox Box7;
extern TEvent Box7_OnClick;
extern TBox Box6;
extern TEvent Box6_OnClick;
extern TBox Box5;
extern TEvent Box5_OnClick;
extern TBox Box4;
extern TEvent Box4_OnClick;
extern TBox Box3;
extern TEvent Box3_OnClick;
extern TBox Box31;
extern TEvent Box31_OnClick;
extern TImage Image1;
extern TImage Image20;
extern TImage Image19;
extern TImage Image18;
extern TImage Image17;
extern TImage Image16;
extern TImage Image9;
extern TImage Image8;
extern TImage Image7;
extern TImage Image6;
extern TImage Image15;
extern TImage Image14;
extern TImage Image13;
extern TImage Image12;
extern TImage Image11;
extern TImage Image10;
extern TImage Image3;
extern TImage Image4;
extern TEvent Image4_OnClick;
extern TImage Image38;
extern TImage Image37;
extern TEvent Image37_OnClick;
extern TImage Image36;
extern TEvent Image36_OnClick;
extern TImage Image35;
extern TEvent Image35_OnClick;
extern TImage Image29;
extern TImage Image30;
extern TImage Image31;
extern TImage Image32;
extern TImage Image33;
extern TImage Image34;
extern TImage Image27;
extern TImage Image25;
extern TImage Image26;
extern TImage Image23;
extern TImage Image24;
extern TImage Image21;
extern TImage Image22;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel Label5;
extern TLabel Label7;
extern TLabel Label8;
extern TLabel Label9;
extern TLabel Label10;
extern TLabel Label11;
extern TLabel Label12;
extern TLabel Label13;
extern TLabel Label14;
extern TLabel Label15;
extern TLabel Label16;
extern TLabel Label17;
extern TLabel Label18;
extern TLabel Label19;
extern TLabel Label20;
extern TLabel Label21;
extern TLabel Label22;
extern TLabel Label23;
extern TBox Box28;
extern TEvent Box28_OnClick;
extern TLabel Label35;
extern TLabel Label36;
extern TLabel Label37;
extern TLabel Label38;
extern TLabel Label39;
extern TLabel Label40;
extern TLabel Label41;
extern TLabel Label42;
extern TLabel Label61;
extern TLabel Label68;
extern TLabel Label69;
extern TLabel Label70;
extern TLabel Label73;
extern TLabel Label74;
extern TLabel Label75;
extern TLabel Label76;
extern TLabel Label77;
extern TLabel Label78;
extern TLabel Label58;
extern TLabel Label59;
extern TLabel Label60;

extern TLabel *const code Home_Labels[43];
extern TImage *const code Home_Images[50];
extern TBox *const code Home_Boxes[22];

extern TScreen Temperature_Mode;

extern TBox Box45;
extern TImage Image60;
extern TBox Box40;
extern TEvent Box40_OnClick;
extern TBox Box39;
extern TEvent Box39_OnClick;
extern TBox Box38;
extern TEvent Box38_OnClick;
extern TBox Box37;
extern TEvent Box37_OnClick;
extern TImage Image51;
extern TImage Image50;
extern TImage Image49;
extern TImage Image48;
extern TImage Image47;
extern TImage Image46;
extern TImage Image28;
extern TImage Image2;
extern TButton Button30;
extern TEvent Button30_OnClick;
extern TBox Box22;
extern TButton Button47;
extern TBox Box41;
extern TBox Box42;
extern TBox Box43;
extern TBox Box44;
extern TBox Box46;
extern TBox Box47;
extern TBox Box48;
extern TCircleButton CircleButton1;
extern TEvent CircleButton1_OnPress;
extern TCircleButton CircleButton2;
extern TEvent CircleButton2_OnPress;
extern TCircleButton CircleButton3;
extern TEvent CircleButton3_OnPress;
extern TCircleButton CircleButton4;
extern TEvent CircleButton4_OnPress;
extern TBox Box23;
extern TBox Box49;
extern TLabel Label29;
extern TLabel Label31;
extern TLabel Label32;
extern TLabel Label33;
extern TLabel Label46;
extern TLabel Label47;
extern TLabel Label86;
extern TLabel Label87;
extern TLabel Label95;
extern TLabel Label96;

extern TButton *const code Temperature_Mode_Buttons[2];
extern TLabel *const code Temperature_Mode_Labels[10];
extern TImage *const code Temperature_Mode_Images[9];
extern TCircleButton *const code Temperature_Mode_CircleButtons[4];
extern TBox *const code Temperature_Mode_Boxes[15];

extern TScreen Light_Mode;

extern TBox Box61;
extern TImage Image61;
extern TBox Box55;
extern TEvent Box55_OnClick;
extern TBox Box53;
extern TEvent Box53_OnClick;
extern TBox Box52;
extern TEvent Box52_OnClick;
extern TBox Box51;
extern TEvent Box51_OnClick;
extern TImage Image59;
extern TImage Image58;
extern TImage Image57;
extern TImage Image56;
extern TImage Image55;
extern TImage Image54;
extern TImage Image53;
extern TImage Image52;
extern TButton Button31;
extern TEvent Button31_OnClick;
extern TBox Box50;
extern TButton Button32;
extern TBox Box56;
extern TBox Box57;
extern TBox Box58;
extern TBox Box59;
extern TBox Box60;
extern TBox Box62;
extern TBox Box63;
extern TCircleButton CircleButton5;
extern TEvent CircleButton5_OnPress;
extern TCircleButton CircleButton6;
extern TEvent CircleButton6_OnPress;
extern TCircleButton CircleButton7;
extern TEvent CircleButton7_OnPress;
extern TCircleButton CircleButton8;
extern TEvent CircleButton8_OnPress;
extern TBox Box64;
extern TBox Box65;
extern TLabel Label48;
extern TLabel Label49;
extern TLabel Label50;
extern TLabel Label51;
extern TLabel Label52;
extern TLabel Label53;
extern TLabel Label88;
extern TLabel Label89;
extern TLabel Label97;
extern TLabel Label98;

extern TButton *const code Light_Mode_Buttons[2];
extern TLabel *const code Light_Mode_Labels[10];
extern TImage *const code Light_Mode_Images[9];
extern TCircleButton *const code Light_Mode_CircleButtons[4];
extern TBox *const code Light_Mode_Boxes[15];

extern TScreen Keyboard_Screen;

extern TButton Button37;
extern TButton Button38;
extern TEvent Button38_OnClick;
extern TBox Box11;
extern TBox Box24;
extern TEvent Box24_OnClick;
extern TBox Box76;
extern TEvent Box76_OnClick;
extern TBox Box77;
extern TEvent Box77_OnClick;
extern TBox Box78;
extern TEvent Box78_OnClick;
extern TCheckBox CheckBox1;
extern TCheckBox CheckBox2;
extern TCheckBox CheckBox3;
extern TCheckBox CheckBox4;
extern TLabel Label6;
extern TLabel Label26;
extern TLabel Label27;
extern TLabel Label28;

extern TButton *const code Keyboard_Screen_Buttons[2];
extern TLabel *const code Keyboard_Screen_Labels[4];
extern TBox *const code Keyboard_Screen_Boxes[5];
extern TCheckBox *const code Keyboard_Screen_CheckBoxes[4];

extern TScreen System_Log_Screen;

extern TBox Box25;
extern TEvent Box25_OnClick;
extern TImage Image69;
extern TImage Image70;
extern TBox Box10;
extern TEvent Box10_OnClick;
extern TImage Image67;
extern TImage Image68;
extern TBox Box30;
extern TImage Image66;
extern TImage Image65;
extern TButton Button12;
extern TEvent Button12_OnClick;
extern TBox Box9;
extern TButton Button13;
extern TEvent Button13_OnClick;
extern TButton Button14;
extern TEvent Button14_OnClick;
extern TButton Button15;
extern TEvent Button15_OnClick;
extern TButton Button16;
extern TEvent Button16_OnClick;
extern TButton Button17;
extern TEvent Button17_OnClick;
extern TButton Button18;
extern TEvent Button18_OnClick;
extern TButton Button19;
extern TEvent Button19_OnClick;
extern TButton Button20;
extern TEvent Button20_OnClick;
extern TButton Button21;
extern TEvent Button21_OnClick;
extern TButton Button22;
extern TEvent Button22_OnClick;
extern TButton Button23;
extern TEvent Button23_OnClick;
extern TButton Button24;
extern TEvent Button24_OnClick;
extern TButton Button25;
extern TEvent Button25_OnClick;
extern TButton Button26;
extern TEvent Button26_OnClick;
extern TButton Button27;
extern TEvent Button27_OnClick;
extern TButton Button28;
extern TEvent Button28_OnClick;
extern TButton Button29;
extern TBox Box36;
extern TLabel Label24;
extern TLabel Label25;
extern TLabel Label54;
extern TLabel Label55;

extern TButton *const code System_Log_Screen_Buttons[18];
extern TLabel *const code System_Log_Screen_Labels[4];
extern TImage *const code System_Log_Screen_Images[6];
extern TBox *const code System_Log_Screen_Boxes[5];

extern TScreen Green_Power_Screen;

extern TButton Button33;
extern TButton Button34;
extern TEvent Button34_OnClick;
extern TBox Box26;
extern TBox Box66;
extern TLabel Label62;
extern TLabel Label63;
extern TLabel Label64;
extern TLabel Label65;
extern TLabel Label66;
extern TLabel Label67;
extern TLabel Label104;
extern TLabel Label105;

extern TButton *const code Green_Power_Screen_Buttons[2];
extern TLabel *const code Green_Power_Screen_Labels[8];
extern TBox *const code Green_Power_Screen_Boxes[2];

extern TScreen Time_Screen;

extern TBox Box67;
extern TImage Image63;
extern TBox Box74;
extern TImage Image62;
extern TButton Button35;
extern TButton Button36;
extern TEvent Button36_OnClick;
extern TBox Box27;
extern TBox Box68;
extern TBox Box69;
extern TBox Box70;
extern TBox Box71;
extern TBox Box72;
extern TBox Box73;
extern TBox Box75;
extern TLabel Label56;
extern TLabel Label30;
extern TLabel Label57;
extern TLabel Label82;
extern TLabel Label83;
extern TLabel Label84;
extern TLabel Label85;
extern TLabel Label90;
extern TLabel Label91;
extern TLabel Label92;
extern TLabel Label93;
extern TLabel Label94;
extern TLabel Label99;
extern TLabel Label100;
extern TLabel Label79;
extern TLabel Label80;
extern TLabel Label81;

extern TButton *const code Time_Screen_Buttons[2];
extern TLabel *const code Time_Screen_Labels[17];
extern TImage *const code Time_Screen_Images[2];
extern TBox *const code Time_Screen_Boxes[10];

extern TScreen Settings_Screen;

extern TBox Box33;
extern TLabel Label34;
extern TLabel Label44;
extern TLabel Label45;
extern TLabel Label71;
extern TLabel Label72;
extern TButton Button48;
extern TEvent Button48_OnClick;
extern TBox Box79;
extern TButton Button1;
extern TEvent Button1_OnClick;
extern TButton Button2;
extern TEvent Button2_OnClick;
extern TButton Button3;
extern TEvent Button3_OnClick;
extern TButton Button4;
extern TEvent Button4_OnClick;
extern TButton Button5;
extern TEvent Button5_OnClick;
extern TButton Button6;
extern TEvent Button6_OnClick;
extern TButton Button7;
extern TEvent Button7_OnClick;
extern TButton Button8;
extern TEvent Button8_OnClick;
extern TButton Button9;
extern TEvent Button9_OnClick;
extern TButton Button10;
extern TEvent Button10_OnClick;
extern TButton Button39;
extern TEvent Button39_OnClick;
extern TButton Button40;
extern TEvent Button40_OnClick;
extern TButton Button41;
extern TEvent Button41_OnClick;
extern TButton Button42;
extern TEvent Button42_OnClick;
extern TButton Button43;
extern TEvent Button43_OnClick;
extern TButton Button44;
extern TEvent Button44_OnClick;
extern TButton Button45;
extern TButton Button46;
extern TEvent Button46_OnClick;

extern TButton *const code Settings_Screen_Buttons[19];
extern TLabel *const code Settings_Screen_Labels[5];
extern TBox *const code Settings_Screen_Boxes[2];

extern TScreen *CurrentScreen;



void Box10OnClick();
void Box12OnClick();
void Box13OnClick();
void Box1OnClick();
void Box20OnClick();
void Box21OnClick();
void Box24OnClick();
void Box25OnClick();
void Box28OnClick();
void Box2OnClick();
void Box31OnClick();
void Box35OnClick();
void Box37OnClick();
void Box38OnClick();
void Box39OnClick();
void Box3OnClick();
void Box40OnClick();
void Box4OnClick();
void Box51OnClick();
void Box52OnClick();
void Box53OnClick();
void Box54OnClick();
void Box55OnClick();
void Box5OnClick();
void Box6OnClick();
void Box76OnClick();
void Box77OnClick();
void Box78OnClick();
void Box7OnClick();
void Box8OnClick();
void Button10OnClick();
void Button11OnClick();
void Button12OnClick();
void Button13OnClick();
void Button14OnClick();
void Button15OnClick();
void Button16OnClick();
void Button17OnClick();
void Button18OnClick();
void Button19OnClick();
void Button1OnClick();
void Button20OnClick();
void Button21OnClick();
void Button22OnClick();
void Button23OnClick();
void Button24OnClick();
void Button25OnClick();
void Button26OnClick();
void Button27OnClick();
void Button28OnClick();
void Button2OnClick();
void Button39OnClick();
void Button3OnClick();
void Button40OnClick();
void Button41OnClick();
void Button42OnClick();
void Button44OnClick();
void Button46OnClick();
void Button4OnClick();
void Button5OnClick();
void Button6OnClick();
void Button7OnClick();
void Button8OnClick();
void Button9OnClick();
void CircleButton1OnPress();
void CircleButton2OnPress();
void CircleButton3OnPress();
void CircleButton4OnPress();
void CircleButton5OnPress();
void CircleButton6OnPress();
void CircleButton7OnPress();
void CircleButton8OnPress();




extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Label9_Caption[];
extern char Label10_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];
extern char Label14_Caption[];
extern char Label15_Caption[];
extern char Label16_Caption[];
extern char Label17_Caption[];
extern char Label18_Caption[];
extern char Label19_Caption[];
extern char Label20_Caption[];
extern char Label21_Caption[];
extern char Label22_Caption[];
extern char Label23_Caption[];
extern char Label35_Caption[];
extern char Label36_Caption[];
extern char Label37_Caption[];
extern char Label38_Caption[];
extern char Label39_Caption[];
extern char Label40_Caption[];
extern char Label41_Caption[];
extern char Label42_Caption[];
extern char Label61_Caption[];
extern char Label68_Caption[];
extern char Label69_Caption[];
extern char Label70_Caption[];
extern char Label73_Caption[];
extern char Label74_Caption[];
extern char Label75_Caption[];
extern char Label76_Caption[];
extern char Label77_Caption[];
extern char Label78_Caption[];
extern char Label58_Caption[];
extern char Label59_Caption[];
extern char Label60_Caption[];
extern char Button30_Caption[];
extern char Button47_Caption[];
extern char CircleButton1_Caption[];
extern char CircleButton2_Caption[];
extern char CircleButton3_Caption[];
extern char CircleButton4_Caption[];
extern char Label29_Caption[];
extern char Label31_Caption[];
extern char Label32_Caption[];
extern char Label33_Caption[];
extern char Label46_Caption[];
extern char Label47_Caption[];
extern char Label86_Caption[];
extern char Label87_Caption[];
extern char Label95_Caption[];
extern char Label96_Caption[];
extern char Button31_Caption[];
extern char Button32_Caption[];
extern char CircleButton5_Caption[];
extern char CircleButton6_Caption[];
extern char CircleButton7_Caption[];
extern char CircleButton8_Caption[];
extern char Label48_Caption[];
extern char Label49_Caption[];
extern char Label50_Caption[];
extern char Label51_Caption[];
extern char Label52_Caption[];
extern char Label53_Caption[];
extern char Label88_Caption[];
extern char Label89_Caption[];
extern char Label97_Caption[];
extern char Label98_Caption[];
extern char Button37_Caption[];
extern char Button38_Caption[];
extern char CheckBox1_Caption[];
extern char CheckBox2_Caption[];
extern char CheckBox3_Caption[];
extern char CheckBox4_Caption[];
extern char Label6_Caption[];
extern char Label26_Caption[];
extern char Label27_Caption[];
extern char Label28_Caption[];
extern char Button12_Caption[];
extern char Button13_Caption[];
extern char Button14_Caption[];
extern char Button15_Caption[];
extern char Button16_Caption[];
extern char Button17_Caption[];
extern char Button18_Caption[];
extern char Button19_Caption[];
extern char Button20_Caption[];
extern char Button21_Caption[];
extern char Button22_Caption[];
extern char Button23_Caption[];
extern char Button24_Caption[];
extern char Button25_Caption[];
extern char Button26_Caption[];
extern char Button27_Caption[];
extern char Button28_Caption[];
extern char Button29_Caption[];
extern char Label24_Caption[];
extern char Label25_Caption[];
extern char Label54_Caption[];
extern char Label55_Caption[];
extern char Button33_Caption[];
extern char Button34_Caption[];
extern char Label62_Caption[];
extern char Label63_Caption[];
extern char Label64_Caption[];
extern char Label65_Caption[];
extern char Label66_Caption[];
extern char Label67_Caption[];
extern char Label104_Caption[];
extern char Label105_Caption[];
extern char Button35_Caption[];
extern char Button36_Caption[];
extern char Label56_Caption[];
extern char Label30_Caption[];
extern char Label57_Caption[];
extern char Label82_Caption[];
extern char Label83_Caption[];
extern char Label84_Caption[];
extern char Label85_Caption[];
extern char Label90_Caption[];
extern char Label91_Caption[];
extern char Label92_Caption[];
extern char Label93_Caption[];
extern char Label94_Caption[];
extern char Label99_Caption[];
extern char Label100_Caption[];
extern char Label79_Caption[];
extern char Label80_Caption[];
extern char Label81_Caption[];
extern char Label34_Caption[];
extern char Label44_Caption[];
extern char Label45_Caption[];
extern char Label71_Caption[];
extern char Label72_Caption[];
extern char Button48_Caption[];
extern char Button1_Caption[];
extern char Button2_Caption[];
extern char Button3_Caption[];
extern char Button4_Caption[];
extern char Button5_Caption[];
extern char Button6_Caption[];
extern char Button7_Caption[];
extern char Button8_Caption[];
extern char Button9_Caption[];
extern char Button10_Caption[];
extern char Button39_Caption[];
extern char Button40_Caption[];
extern char Button41_Caption[];
extern char Button42_Caption[];
extern char Button43_Caption[];
extern char Button44_Caption[];
extern char Button45_Caption[];
extern char Button46_Caption[];



extern TEvent Box2_OnUpOnClick;
extern TEvent Box1_OnUpOnClick;
extern TEvent Box35_OnUpOnClick;
extern TEvent Box12_OnUpOnClick;
extern TEvent Box21_OnUpOnClick;
extern TEvent Box20_OnUpOnClick;
extern TEvent Box13_OnUpOnClick;
extern TEvent Box8_OnUpOnClick;
extern TEvent Box7_OnUpOnClick;
extern TEvent Box6_OnUpOnClick;
extern TEvent Box5_OnUpOnClick;
extern TEvent Box4_OnUpOnClick;
extern TEvent Box3_OnUpOnClick;
extern TEvent Box31_OnUpOnClick;
extern TEvent Image4_OnUpOnClick;
extern TEvent Image37_OnUpOnClick;
extern TEvent Image36_OnUpOnClick;
extern TEvent Image35_OnUpOnClick;
extern TEvent Box28_OnUpOnClick;
extern TEvent Box40_OnUpOnClick;
extern TEvent Box39_OnUpOnClick;
extern TEvent Box38_OnUpOnClick;
extern TEvent Box37_OnUpOnClick;
extern TEvent Button30_OnUpOnClick;
extern TEvent CircleButton1_OnUpOnPress;
extern TEvent CircleButton2_OnUpOnPress;
extern TEvent CircleButton3_OnUpOnPress;
extern TEvent CircleButton4_OnUpOnPress;
extern TEvent Box55_OnUpOnClick;
extern TEvent Box53_OnUpOnClick;
extern TEvent Box52_OnUpOnClick;
extern TEvent Box51_OnUpOnClick;
extern TEvent Button31_OnUpOnClick;
extern TEvent CircleButton5_OnUpOnPress;
extern TEvent CircleButton6_OnUpOnPress;
extern TEvent CircleButton7_OnUpOnPress;
extern TEvent CircleButton8_OnUpOnPress;
extern TEvent Button38_OnUpOnClick;
extern TEvent Box24_OnUpOnClick;
extern TEvent Box76_OnUpOnClick;
extern TEvent Box77_OnUpOnClick;
extern TEvent Box78_OnUpOnClick;
extern TEvent Box25_OnUpOnClick;
extern TEvent Box10_OnUpOnClick;
extern TEvent Button12_OnUpOnClick;
extern TEvent Button13_OnUpOnClick;
extern TEvent Button14_OnUpOnClick;
extern TEvent Button15_OnUpOnClick;
extern TEvent Button16_OnUpOnClick;
extern TEvent Button17_OnUpOnClick;
extern TEvent Button18_OnUpOnClick;
extern TEvent Button19_OnUpOnClick;
extern TEvent Button20_OnUpOnClick;
extern TEvent Button21_OnUpOnClick;
extern TEvent Button22_OnUpOnClick;
extern TEvent Button23_OnUpOnClick;
extern TEvent Button24_OnUpOnClick;
extern TEvent Button25_OnUpOnClick;
extern TEvent Button26_OnUpOnClick;
extern TEvent Button27_OnUpOnClick;
extern TEvent Button28_OnUpOnClick;
extern TEvent Button34_OnUpOnClick;
extern TEvent Button36_OnUpOnClick;
extern TEvent Button48_OnUpOnClick;
extern TEvent Button1_OnUpOnClick;
extern TEvent Button2_OnUpOnClick;
extern TEvent Button3_OnUpOnClick;
extern TEvent Button4_OnUpOnClick;
extern TEvent Button5_OnUpOnClick;
extern TEvent Button6_OnUpOnClick;
extern TEvent Button7_OnUpOnClick;
extern TEvent Button8_OnUpOnClick;
extern TEvent Button9_OnUpOnClick;
extern TEvent Button10_OnUpOnClick;
extern TEvent Button39_OnUpOnClick;
extern TEvent Button40_OnUpOnClick;
extern TEvent Button41_OnUpOnClick;
extern TEvent Button42_OnUpOnClick;
extern TEvent Button43_OnUpOnClick;
extern TEvent Button44_OnUpOnClick;
extern TEvent Button46_OnUpOnClick;


void DrawScreenO(TScreen *aScreen, char aOptions);
void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *AButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void DrawCircleButton(TCircleButton *ACircleButton);
void DrawBox(TBox *ABox);
void DrawCheckBox(TCheckBox *ACheckBox);
void ProcessVTFTStack();
void InitVTFTStack();
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for ft90x/include/built_in.h"
#line 1 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
#line 8 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
static const unsigned short _SERIAL_FLASH_CMD_RDID = 0x9F;
static const unsigned short _SERIAL_FLASH_CMD_READ = 0x03;
static const unsigned short _SERIAL_FLASH_CMD_WRITE = 0x02;
static const unsigned short _SERIAL_FLASH_CMD_WREN = 0x06;
static const unsigned short _SERIAL_FLASH_CMD_RDSR = 0x05;
static const unsigned short _SERIAL_FLASH_CMD_ERASE = 0xC7;
static const unsigned short _SERIAL_FLASH_CMD_EWSR = 0x06;
static const unsigned short _SERIAL_FLASH_CMD_WRSR = 0x01;
static const unsigned short _SERIAL_FLASH_CMD_SER = 0xD8;
#line 24 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_init();
#line 30 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_WriteEnable();
#line 37 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
unsigned char SerialFlash_IsWriteBusy();
#line 47 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_WriteByte(unsigned char _data, unsigned long address);
#line 57 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_WriteWord(unsigned int _data, unsigned long address);
#line 65 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
unsigned char SerialFlash_ReadID(void);
#line 75 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
unsigned char SerialFlash_ReadByte(unsigned long address);
#line 85 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
unsigned int SerialFlash_ReadWord(unsigned long address);
#line 99 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
unsigned char SerialFlash_WriteArray(unsigned long address, unsigned char* pData, unsigned int nCount);
#line 111 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_ReadArray(unsigned long address, unsigned char* pData, unsigned int nCount);
#line 117 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_ChipErase(void);
#line 123 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_ResetWriteProtection();
#line 131 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/sf_driver.h"
void SerialFlash_SectorErase(unsigned long address);
#line 1 "c:/users/viktor/desktop/mikromedia_hmi/library/50/mikromedia_hmi_50c_demo_code/mikroc pro for ft90x/resources.h"


const code char HandelGothic_BT21x22_Regular[] = {
 0x00,
 0x00,
 0x20,0x00,
 0x7F,0x00,
 0x16,
 0x00,
 0x01,0x88,0x01,0x00,
 0x05,0x9E,0x01,0x00,
 0x06,0xB4,0x01,0x00,
 0x0E,0xCA,0x01,0x00,
 0x0E,0xF6,0x01,0x00,
 0x11,0x22,0x02,0x00,
 0x0F,0x64,0x02,0x00,
 0x03,0x90,0x02,0x00,
 0x06,0xA6,0x02,0x00,
 0x06,0xBC,0x02,0x00,
 0x09,0xD2,0x02,0x00,
 0x0E,0xFE,0x02,0x00,
 0x03,0x2A,0x03,0x00,
 0x06,0x40,0x03,0x00,
 0x03,0x56,0x03,0x00,
 0x08,0x6C,0x03,0x00,
 0x0E,0x82,0x03,0x00,
 0x04,0xAE,0x03,0x00,
 0x0C,0xC4,0x03,0x00,
 0x0B,0xF0,0x03,0x00,
 0x0F,0x1C,0x04,0x00,
 0x0C,0x48,0x04,0x00,
 0x0E,0x74,0x04,0x00,
 0x0C,0xA0,0x04,0x00,
 0x0D,0xCC,0x04,0x00,
 0x0D,0xF8,0x04,0x00,
 0x03,0x24,0x05,0x00,
 0x03,0x3A,0x05,0x00,
 0x0D,0x50,0x05,0x00,
 0x0D,0x7C,0x05,0x00,
 0x0D,0xA8,0x05,0x00,
 0x0D,0xD4,0x05,0x00,
 0x12,0x00,0x06,0x00,
 0x0F,0x42,0x06,0x00,
 0x0D,0x6E,0x06,0x00,
 0x0C,0x9A,0x06,0x00,
 0x0E,0xC6,0x06,0x00,
 0x0C,0xF2,0x06,0x00,
 0x0C,0x1E,0x07,0x00,
 0x0E,0x4A,0x07,0x00,
 0x0C,0x76,0x07,0x00,
 0x04,0xA2,0x07,0x00,
 0x09,0xB8,0x07,0x00,
 0x0D,0xE4,0x07,0x00,
 0x0A,0x10,0x08,0x00,
 0x10,0x3C,0x08,0x00,
 0x0D,0x68,0x08,0x00,
 0x0F,0x94,0x08,0x00,
 0x0D,0xC0,0x08,0x00,
 0x10,0xEC,0x08,0x00,
 0x0E,0x18,0x09,0x00,
 0x0E,0x44,0x09,0x00,
 0x0B,0x70,0x09,0x00,
 0x0D,0x9C,0x09,0x00,
 0x0E,0xC8,0x09,0x00,
 0x15,0xF4,0x09,0x00,
 0x0D,0x36,0x0A,0x00,
 0x0C,0x62,0x0A,0x00,
 0x0D,0x8E,0x0A,0x00,
 0x06,0xBA,0x0A,0x00,
 0x08,0xD0,0x0A,0x00,
 0x05,0xE6,0x0A,0x00,
 0x0F,0xFC,0x0A,0x00,
 0x0A,0x28,0x0B,0x00,
 0x07,0x54,0x0B,0x00,
 0x0B,0x6A,0x0B,0x00,
 0x0B,0x96,0x0B,0x00,
 0x0A,0xC2,0x0B,0x00,
 0x0B,0xEE,0x0B,0x00,
 0x0A,0x1A,0x0C,0x00,
 0x08,0x46,0x0C,0x00,
 0x0B,0x5C,0x0C,0x00,
 0x0A,0x88,0x0C,0x00,
 0x04,0xB4,0x0C,0x00,
 0x04,0xCA,0x0C,0x00,
 0x0B,0xE0,0x0C,0x00,
 0x04,0x0C,0x0D,0x00,
 0x0E,0x22,0x0D,0x00,
 0x0A,0x4E,0x0D,0x00,
 0x0C,0x7A,0x0D,0x00,
 0x0B,0xA6,0x0D,0x00,
 0x0B,0xD2,0x0D,0x00,
 0x08,0xFE,0x0D,0x00,
 0x0B,0x14,0x0E,0x00,
 0x08,0x40,0x0E,0x00,
 0x0A,0x56,0x0E,0x00,
 0x0B,0x82,0x0E,0x00,
 0x11,0xAE,0x0E,0x00,
 0x0A,0xF0,0x0E,0x00,
 0x0A,0x1C,0x0F,0x00,
 0x0A,0x48,0x0F,0x00,
 0x08,0x74,0x0F,0x00,
 0x06,0x8A,0x0F,0x00,
 0x07,0xA0,0x0F,0x00,
 0x0D,0xB6,0x0F,0x00,
 0x0B,0xE2,0x0F,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x00,0x1C,0x1C,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x36,0x36,0x36,0x36,0x36,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1C,0xC0,0x0C,0x60,0x0C,0x60,0x0E,0xFC,0x3F,0xFC,0x1F,0x32,0x03,0x30,0x03,0xFE,0x1F,0xFF,0x0F,0x98,0x01,0x8C,0x01,0xCC,0x00,0xCE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0xF8,0x1F,0xFC,0x1F,0x9E,0x00,0x8E,0x00,0x8E,0x00,0x9E,0x00,0xFC,0x0F,0xF8,0x1F,0x80,0x38,0x80,0x38,0x80,0x38,0x80,0x3C,0xFC,0x1F,0xFC,0x0F,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x08,0x00,0x7F,0x0C,0x00,0x63,0x04,0x00,0x63,0x06,0x00,0x63,0x02,0x00,0x7F,0x03,0x00,0x3E,0x01,0x00,0x80,0xF9,0x00,0x80,0xFD,0x01,0x80,0x8C,0x01,0xC0,0x8C,0x01,0x40,0x8C,0x01,0x60,0xFC,0x01,0x20,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x03,0x1E,0x00,0x0E,0x00,0x0E,0x00,0x1E,0x00,0x7C,0x7E,0x7C,0x7E,0x1E,0x1C,0x0E,0x1C,0x0E,0x0E,0x1E,0x0F,0xFC,0x07,0xF8,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x06,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x38,0x18,0x0C,0x0C,0x0C,0x06,0x06,0x06,0x06,0x06,0x06,0x0C,0x0C,0x0C,0x18,0x38,0x00,0x00,
 0x00,0x00,0x00,0x00,0x0E,0x0C,0x18,0x18,0x18,0x30,0x30,0x30,0x30,0x30,0x30,0x18,0x18,0x18,0x0C,0x0E,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0xB4,0x00,0xFE,0x01,0x78,0x00,0xFE,0x01,0xB4,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0xFC,0x3F,0xFC,0x3F,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x04,0x02,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0xC0,0x40,0x40,0x60,0x20,0x30,0x10,0x18,0x08,0x08,0x0C,0x04,0x06,0x02,0x02,0x03,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x03,0xFC,0x0F,0x1E,0x1E,0x0E,0x1C,0x07,0x38,0x07,0x38,0x07,0x38,0x07,0x38,0x07,0x38,0x07,0x38,0x0E,0x1C,0x1E,0x1E,0xFC,0x0F,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,0xFF,0x07,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0xFC,0x07,0xFE,0x03,0x0F,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0xFF,0x0F,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x01,0xFF,0x03,0x80,0x07,0x00,0x07,0x00,0x07,0x80,0x07,0xFE,0x03,0xFE,0x03,0x80,0x07,0x00,0x07,0x00,0x07,0x80,0x07,0xFF,0x03,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x00,0x1F,0x80,0x1F,0xC0,0x1F,0xE0,0x1D,0xF0,0x1C,0x78,0x1C,0x3C,0x1C,0x1E,0x1C,0xFE,0x7F,0xFE,0x7F,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x07,0xFF,0x07,0x07,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0xFF,0x03,0xFF,0x07,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0xFF,0x07,0xFF,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x1F,0xF8,0x1F,0x3C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x0F,0xFE,0x1F,0x0E,0x38,0x0E,0x38,0x1C,0x38,0x3C,0x3C,0xF8,0x1F,0xE0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x0F,0xFF,0x0F,0x00,0x0F,0x00,0x07,0x80,0x03,0xC0,0x03,0xC0,0x01,0xE0,0x00,0xF0,0x00,0x78,0x00,0x38,0x00,0x3C,0x00,0x1E,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0xFE,0x0F,0x0F,0x1E,0x07,0x1C,0x07,0x1C,0x0F,0x1E,0xFE,0x0F,0xFE,0x0F,0x0F,0x1E,0x07,0x1C,0x07,0x1C,0x0F,0x1E,0xFE,0x0F,0xFC,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x01,0xFE,0x07,0x0F,0x0F,0x07,0x0E,0x07,0x1C,0x07,0x1C,0xFE,0x1F,0xFC,0x1F,0x00,0x1C,0x00,0x1C,0x00,0x0E,0x00,0x0F,0xFE,0x07,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x06,0x06,0x04,0x02,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x1E,0x80,0x0F,0xE0,0x03,0x7C,0x00,0x1C,0x00,0x7C,0x00,0xE0,0x03,0x80,0x0F,0x00,0x1E,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x1F,0xFC,0x1F,0x00,0x00,0x00,0x00,0xFC,0x1F,0xFC,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0x3C,0x00,0xF8,0x00,0xE0,0x03,0x00,0x1F,0x00,0x1C,0x00,0x1F,0xE0,0x03,0xF8,0x00,0x3C,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0xF8,0x0F,0xFC,0x07,0x1E,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x1F,0x00,0xE0,0x7F,0x00,0x70,0xE0,0x00,0x38,0x80,0x01,0x9C,0xB7,0x03,0xCC,0x17,0x03,0xC6,0x18,0x03,0x66,0x18,0x03,0x66,0x18,0x03,0x66,0x8C,0x01,0x66,0xCC,0x01,0xE6,0xFB,0x00,0xCC,0x79,0x00,0x1C,0x00,0x00,0x78,0xE0,0x00,0xF0,0x3F,0x00,0xC0,0x0F,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x01,0xE0,0x03,0xE0,0x03,0xF0,0x03,0x30,0x07,0x38,0x07,0x38,0x0E,0x18,0x0E,0xFC,0x1F,0xFC,0x1F,0x0E,0x1C,0x0E,0x38,0x06,0x38,0x07,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x0F,0xF8,0x0F,0x1C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0C,0x00,0x1C,0x00,0xF8,0x0F,0xF0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x0F,0xF8,0x0F,0x1C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x0F,0xFE,0x0F,0x0E,0x00,0x0E,0x00,0x0C,0x00,0x1C,0x00,0xF8,0x0F,0xF0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x0F,0xFC,0x0F,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x0F,0xFE,0x0F,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x3F,0xF8,0x3F,0x3C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x8E,0x3F,0x8E,0x3F,0x0E,0x38,0x0E,0x38,0x1C,0x38,0x3C,0x38,0xF8,0x3F,0xF0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0xFE,0x0F,0xFE,0x0F,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xE0,0x01,0xFF,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x1E,0x0E,0x0F,0x8E,0x07,0x8E,0x03,0xCE,0x01,0xEE,0x00,0xFE,0x00,0xFE,0x00,0xEE,0x01,0xCE,0x01,0x8E,0x03,0x8E,0x07,0x0E,0x0F,0x0E,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x1E,0x00,0xFC,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0xF0,0x3E,0xF8,0x3E,0xF8,0x3E,0xF8,0x7E,0xFC,0x7E,0xFC,0x6E,0xEC,0x6E,0xEE,0xEE,0xEE,0xCE,0xE6,0xCE,0xE6,0xCE,0xE7,0x8E,0xE3,0x8E,0xE3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x1C,0x1E,0x1C,0x3E,0x1C,0x7E,0x1C,0x7E,0x1C,0xEE,0x1C,0xCE,0x1C,0xCE,0x1D,0x8E,0x1D,0x8E,0x1F,0x0E,0x1F,0x0E,0x1F,0x0E,0x1E,0x0E,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x07,0xF8,0x1F,0x3C,0x3C,0x1C,0x38,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x1C,0x38,0x3C,0x3C,0xF8,0x1F,0xE0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1E,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1E,0xFE,0x0F,0xFE,0x07,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x07,0xF8,0x1F,0x3C,0x3C,0x1C,0x38,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x1C,0x78,0x3C,0x3C,0xF8,0x3F,0xE0,0xF7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x0E,0x0E,0x0E,0x0E,0x1C,0x0E,0x3C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x1F,0xFC,0x1F,0x1E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFC,0x0F,0xF8,0x1F,0x00,0x38,0x00,0x38,0x00,0x38,0x00,0x38,0xFC,0x1F,0xFC,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x07,0xFF,0x07,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x1E,0x1E,0xFC,0x0F,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x38,0x07,0x1C,0x07,0x1C,0x0F,0x1E,0x0E,0x0E,0x1E,0x0F,0x1C,0x07,0x1C,0x07,0xB8,0x03,0xB8,0x03,0xF8,0x03,0xF0,0x01,0xF0,0x01,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x0E,0x1C,0x07,0x0F,0x1C,0x06,0x1F,0x0E,0x0E,0x1F,0x0E,0x0E,0x1B,0x0E,0x8C,0x3B,0x06,0x9C,0x3B,0x07,0x9C,0x39,0x07,0x9C,0x31,0x07,0xF8,0xF1,0x03,0xF8,0xF1,0x03,0xF8,0xF1,0x03,0xF0,0xE0,0x01,0xF0,0xE0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x1E,0x0E,0x0F,0x1C,0x07,0xBC,0x03,0xF8,0x03,0xF0,0x01,0xF0,0x00,0xF0,0x01,0xF0,0x01,0xB8,0x03,0xBC,0x07,0x1C,0x07,0x0E,0x0F,0x0F,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0F,0x07,0x07,0x8E,0x03,0x8E,0x03,0xDC,0x01,0xF8,0x00,0xF8,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x1F,0xFE,0x1F,0x00,0x1E,0x00,0x0F,0x80,0x07,0xC0,0x03,0xE0,0x01,0xE0,0x01,0xF0,0x00,0x78,0x00,0x3C,0x00,0x1E,0x00,0xFE,0x1F,0xFE,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x3E,0x3E,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x3E,0x3E,0x00,0x00,
 0x00,0x00,0x00,0x00,0x03,0x02,0x02,0x06,0x04,0x0C,0x08,0x08,0x10,0x10,0x30,0x20,0x60,0x40,0x40,0xC0,0x00,0x00,
 0x00,0x00,0x00,0x00,0x1F,0x1F,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x1F,0x1F,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x80,0x0F,0xC0,0x1D,0xE0,0x38,0x70,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,
 0x00,0x00,0x00,0x00,0x1C,0x30,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x01,0xFC,0x03,0x00,0x07,0x00,0x07,0xFC,0x07,0xFE,0x07,0x0E,0x07,0x0E,0x07,0xFE,0x07,0xFC,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x8E,0x03,0xFE,0x03,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x03,0xFC,0x03,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x1C,0x00,0xFC,0x03,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0x07,0xF8,0x07,0xFC,0x07,0x1E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x1C,0x07,0xFC,0x07,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x03,0x0E,0x00,0x0E,0x00,0xFE,0x03,0xFE,0x03,0x0E,0x00,0x0E,0x00,0xFC,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0xF8,0xFC,0x1C,0x1C,0xFF,0xFF,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xFC,0x07,0x1C,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x1E,0x07,0xFC,0x07,0xF8,0x07,0x00,0x07,0x00,0x07,0xFC,0x03,0xFC,0x01,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x0E,0x0E,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x0E,0x0E,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x07,0x07,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x07,0x8E,0x03,0xCE,0x01,0xEE,0x00,0x7E,0x00,0x7E,0x00,0xEE,0x00,0xCE,0x01,0x8E,0x03,0x8E,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x1F,0xFE,0x3F,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x01,0xFC,0x07,0x1C,0x07,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x1C,0x07,0xFC,0x07,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x03,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x8E,0x07,0xFE,0x03,0xFE,0x01,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xFC,0x07,0x1C,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x1E,0x07,0xFC,0x07,0xF8,0x07,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0x07,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0xFE,0xEE,0xEE,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0xFE,0x03,0x0E,0x00,0x0E,0x00,0xFE,0x03,0xFC,0x07,0x00,0x07,0x00,0x07,0xFE,0x07,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x1C,0x1C,0x1C,0x1C,0xFF,0xFF,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0xFC,0xF8,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0xFE,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x07,0x06,0x03,0x8E,0x03,0x8E,0x03,0x9C,0x01,0xDC,0x01,0xD8,0x00,0xF8,0x00,0xF8,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x83,0xC3,0x01,0xC7,0xC7,0x01,0xC6,0xC7,0x00,0xC6,0xC6,0x00,0xEE,0xEE,0x00,0xEC,0x6E,0x00,0x6C,0x6C,0x00,0x7C,0x7C,0x00,0x78,0x3C,0x00,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x03,0xCE,0x01,0xFC,0x00,0xFC,0x00,0x78,0x00,0x78,0x00,0x7C,0x00,0xFC,0x00,0xCE,0x01,0x87,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0xFE,0x03,0xFC,0x03,0x80,0x03,0x80,0x03,0xFE,0x01,0xFE,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0xFE,0x03,0xC0,0x03,0xE0,0x01,0xF0,0x00,0x78,0x00,0x3C,0x00,0x1E,0x00,0xFE,0x03,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0xE0,0xF0,0x30,0x30,0x30,0x30,0x30,0x30,0x1C,0x1C,0x30,0x30,0x30,0x30,0x30,0x30,0xF0,0xE0,
 0x00,0x00,0x00,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,
 0x00,0x00,0x00,0x00,0x0E,0x1E,0x18,0x18,0x18,0x18,0x18,0x18,0x70,0x70,0x18,0x18,0x18,0x18,0x18,0x18,0x1E,0x0E,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x10,0xFC,0x1F,0x04,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0xFE,0x07
 };

const code char Verdana12x13_Regular[] = {
 0x00,
 0x00,
 0x20,0x00,
 0x7F,0x00,
 0x0D,
 0x00,
 0x01,0x88,0x01,0x00,
 0x03,0x95,0x01,0x00,
 0x04,0xA2,0x01,0x00,
 0x08,0xAF,0x01,0x00,
 0x06,0xBC,0x01,0x00,
 0x0B,0xC9,0x01,0x00,
 0x08,0xE3,0x01,0x00,
 0x02,0xF0,0x01,0x00,
 0x04,0xFD,0x01,0x00,
 0x04,0x0A,0x02,0x00,
 0x06,0x17,0x02,0x00,
 0x08,0x24,0x02,0x00,
 0x03,0x31,0x02,0x00,
 0x04,0x3E,0x02,0x00,
 0x03,0x4B,0x02,0x00,
 0x05,0x58,0x02,0x00,
 0x06,0x65,0x02,0x00,
 0x06,0x72,0x02,0x00,
 0x06,0x7F,0x02,0x00,
 0x06,0x8C,0x02,0x00,
 0x06,0x99,0x02,0x00,
 0x06,0xA6,0x02,0x00,
 0x06,0xB3,0x02,0x00,
 0x06,0xC0,0x02,0x00,
 0x06,0xCD,0x02,0x00,
 0x06,0xDA,0x02,0x00,
 0x03,0xE7,0x02,0x00,
 0x03,0xF4,0x02,0x00,
 0x07,0x01,0x03,0x00,
 0x08,0x0E,0x03,0x00,
 0x08,0x1B,0x03,0x00,
 0x05,0x28,0x03,0x00,
 0x09,0x35,0x03,0x00,
 0x07,0x4F,0x03,0x00,
 0x07,0x5C,0x03,0x00,
 0x08,0x69,0x03,0x00,
 0x08,0x76,0x03,0x00,
 0x06,0x83,0x03,0x00,
 0x06,0x90,0x03,0x00,
 0x08,0x9D,0x03,0x00,
 0x07,0xAA,0x03,0x00,
 0x04,0xB7,0x03,0x00,
 0x04,0xC4,0x03,0x00,
 0x07,0xD1,0x03,0x00,
 0x06,0xDE,0x03,0x00,
 0x08,0xEB,0x03,0x00,
 0x07,0xF8,0x03,0x00,
 0x08,0x05,0x04,0x00,
 0x06,0x12,0x04,0x00,
 0x08,0x1F,0x04,0x00,
 0x07,0x2C,0x04,0x00,
 0x07,0x39,0x04,0x00,
 0x07,0x46,0x04,0x00,
 0x07,0x53,0x04,0x00,
 0x07,0x60,0x04,0x00,
 0x0A,0x6D,0x04,0x00,
 0x07,0x87,0x04,0x00,
 0x07,0x94,0x04,0x00,
 0x07,0xA1,0x04,0x00,
 0x04,0xAE,0x04,0x00,
 0x05,0xBB,0x04,0x00,
 0x04,0xC8,0x04,0x00,
 0x08,0xD5,0x04,0x00,
 0x07,0xE2,0x04,0x00,
 0x04,0xEF,0x04,0x00,
 0x06,0xFC,0x04,0x00,
 0x06,0x09,0x05,0x00,
 0x06,0x16,0x05,0x00,
 0x06,0x23,0x05,0x00,
 0x06,0x30,0x05,0x00,
 0x04,0x3D,0x05,0x00,
 0x06,0x4A,0x05,0x00,
 0x06,0x57,0x05,0x00,
 0x02,0x64,0x05,0x00,
 0x03,0x71,0x05,0x00,
 0x06,0x7E,0x05,0x00,
 0x02,0x8B,0x05,0x00,
 0x0A,0x98,0x05,0x00,
 0x06,0xB2,0x05,0x00,
 0x06,0xBF,0x05,0x00,
 0x06,0xCC,0x05,0x00,
 0x06,0xD9,0x05,0x00,
 0x05,0xE6,0x05,0x00,
 0x05,0xF3,0x05,0x00,
 0x04,0x00,0x06,0x00,
 0x06,0x0D,0x06,0x00,
 0x06,0x1A,0x06,0x00,
 0x08,0x27,0x06,0x00,
 0x06,0x34,0x06,0x00,
 0x06,0x41,0x06,0x00,
 0x05,0x4E,0x06,0x00,
 0x06,0x5B,0x06,0x00,
 0x03,0x68,0x06,0x00,
 0x06,0x75,0x06,0x00,
 0x08,0x82,0x06,0x00,
 0x09,0x8F,0x06,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x00,0x04,0x00,0x00,
 0x00,0x00,0x0A,0x0A,0x0A,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x50,0x50,0xFC,0x28,0x28,0x7E,0x14,0x14,0x00,0x00,
 0x00,0x00,0x08,0x08,0x3C,0x0A,0x0A,0x1C,0x28,0x28,0x1E,0x08,0x08,
 0x00,0x00,0x00,0x00,0x00,0x00,0x8C,0x00,0x92,0x00,0x52,0x00,0x4C,0x00,0x20,0x03,0xA0,0x04,0x90,0x04,0x10,0x03,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x0C,0x12,0x12,0x4C,0x52,0x22,0x62,0x9C,0x00,0x00,
 0x00,0x00,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x08,0x04,0x04,0x02,0x02,0x02,0x02,0x02,0x04,0x04,0x08,
 0x00,0x00,0x02,0x04,0x04,0x08,0x08,0x08,0x08,0x08,0x04,0x04,0x02,
 0x00,0x00,0x08,0x2A,0x1C,0x2A,0x08,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x10,0x10,0x10,0xFE,0x10,0x10,0x10,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x04,0x02,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x00,0x00,
 0x00,0x00,0x10,0x10,0x08,0x08,0x04,0x04,0x02,0x02,0x01,0x01,0x00,
 0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x00,0x08,0x0E,0x08,0x08,0x08,0x08,0x08,0x3E,0x00,0x00,
 0x00,0x00,0x00,0x1C,0x22,0x20,0x10,0x08,0x04,0x02,0x3E,0x00,0x00,
 0x00,0x00,0x00,0x1C,0x22,0x20,0x18,0x20,0x20,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x00,0x10,0x18,0x14,0x12,0x11,0x3F,0x10,0x10,0x00,0x00,
 0x00,0x00,0x00,0x3E,0x02,0x02,0x1E,0x20,0x20,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x00,0x18,0x04,0x02,0x1E,0x22,0x22,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x00,0x3E,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,
 0x00,0x00,0x00,0x1C,0x22,0x22,0x1C,0x22,0x22,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x3C,0x20,0x10,0x0C,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x00,0x00,0x04,0x04,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x00,0x00,0x04,0x04,0x04,0x02,
 0x00,0x00,0x00,0x00,0x00,0x60,0x18,0x06,0x18,0x60,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x00,0xFE,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x0C,0x30,0xC0,0x30,0x0C,0x00,0x00,0x00,
 0x00,0x00,0x00,0x0E,0x10,0x10,0x08,0x04,0x04,0x00,0x04,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x00,0x04,0x01,0x72,0x01,0x4A,0x01,0x4A,0x01,0x4A,0x01,0xB2,0x00,0x04,0x00,0x78,0x00,0x00,0x00,
 0x00,0x00,0x00,0x18,0x18,0x24,0x24,0x24,0x7E,0x42,0x42,0x00,0x00,
 0x00,0x00,0x00,0x1E,0x22,0x22,0x3E,0x42,0x42,0x42,0x3E,0x00,0x00,
 0x00,0x00,0x00,0x78,0x84,0x02,0x02,0x02,0x02,0x84,0x78,0x00,0x00,
 0x00,0x00,0x00,0x3E,0x42,0x82,0x82,0x82,0x82,0x42,0x3E,0x00,0x00,
 0x00,0x00,0x00,0x3E,0x02,0x02,0x3E,0x02,0x02,0x02,0x3E,0x00,0x00,
 0x00,0x00,0x00,0x3E,0x02,0x02,0x1E,0x02,0x02,0x02,0x02,0x00,0x00,
 0x00,0x00,0x00,0x78,0x84,0x02,0x02,0xE2,0x82,0x84,0x78,0x00,0x00,
 0x00,0x00,0x00,0x42,0x42,0x42,0x7E,0x42,0x42,0x42,0x42,0x00,0x00,
 0x00,0x00,0x00,0x0E,0x04,0x04,0x04,0x04,0x04,0x04,0x0E,0x00,0x00,
 0x00,0x00,0x00,0x0E,0x08,0x08,0x08,0x08,0x08,0x08,0x07,0x00,0x00,
 0x00,0x00,0x00,0x42,0x22,0x12,0x0A,0x0E,0x12,0x22,0x42,0x00,0x00,
 0x00,0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x3E,0x00,0x00,
 0x00,0x00,0x00,0xC6,0xC6,0xAA,0xAA,0x92,0x92,0x82,0x82,0x00,0x00,
 0x00,0x00,0x00,0x46,0x46,0x4A,0x4A,0x52,0x52,0x62,0x62,0x00,0x00,
 0x00,0x00,0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x44,0x38,0x00,0x00,
 0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x1E,0x02,0x02,0x02,0x00,0x00,
 0x00,0x00,0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x44,0x38,0x20,0xC0,
 0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x1E,0x12,0x22,0x42,0x00,0x00,
 0x00,0x00,0x00,0x3C,0x42,0x02,0x0C,0x30,0x40,0x42,0x3C,0x00,0x00,
 0x00,0x00,0x00,0x7F,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,
 0x00,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x3C,0x00,0x00,
 0x00,0x00,0x00,0x42,0x42,0x42,0x24,0x24,0x24,0x18,0x18,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x22,0x02,0x22,0x02,0x54,0x01,0x54,0x01,0x54,0x01,0x54,0x01,0x88,0x00,0x88,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x42,0x42,0x24,0x18,0x18,0x24,0x42,0x42,0x00,0x00,
 0x00,0x00,0x00,0x41,0x22,0x14,0x08,0x08,0x08,0x08,0x08,0x00,0x00,
 0x00,0x00,0x00,0x7E,0x40,0x20,0x10,0x08,0x04,0x02,0x7E,0x00,0x00,
 0x00,0x00,0x0E,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x0E,
 0x00,0x00,0x01,0x01,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x10,0x00,
 0x00,0x00,0x0E,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x0E,
 0x00,0x00,0x00,0x10,0x28,0x44,0x82,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,
 0x00,0x00,0x04,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x1C,0x20,0x3C,0x22,0x22,0x3C,0x00,0x00,
 0x00,0x00,0x02,0x02,0x02,0x1E,0x22,0x22,0x22,0x22,0x1E,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x1C,0x22,0x02,0x02,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x20,0x20,0x20,0x3C,0x22,0x22,0x22,0x22,0x3C,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x1C,0x22,0x3E,0x02,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x0C,0x02,0x02,0x0F,0x02,0x02,0x02,0x02,0x02,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x3C,0x22,0x22,0x22,0x22,0x3C,0x20,0x1C,
 0x00,0x00,0x02,0x02,0x02,0x1E,0x22,0x22,0x22,0x22,0x22,0x00,0x00,
 0x00,0x00,0x02,0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x00,0x00,
 0x00,0x00,0x04,0x00,0x00,0x06,0x04,0x04,0x04,0x04,0x04,0x04,0x03,
 0x00,0x00,0x02,0x02,0x02,0x22,0x12,0x0A,0x0E,0x12,0x22,0x00,0x00,
 0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xDE,0x01,0x22,0x02,0x22,0x02,0x22,0x02,0x22,0x02,0x22,0x02,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x22,0x22,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x22,0x1E,0x02,0x02,
 0x00,0x00,0x00,0x00,0x00,0x3C,0x22,0x22,0x22,0x22,0x3C,0x20,0x20,
 0x00,0x00,0x00,0x00,0x00,0x1A,0x06,0x02,0x02,0x02,0x02,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x1C,0x02,0x06,0x18,0x10,0x0E,0x00,0x00,
 0x00,0x00,0x00,0x02,0x02,0x0F,0x02,0x02,0x02,0x02,0x0C,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x22,0x22,0x22,0x22,0x22,0x3C,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x22,0x22,0x14,0x14,0x08,0x08,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x92,0x92,0xAA,0xAA,0x44,0x44,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x22,0x14,0x08,0x08,0x14,0x22,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x22,0x14,0x14,0x14,0x08,0x08,0x08,0x04,
 0x00,0x00,0x00,0x00,0x00,0x1E,0x10,0x08,0x04,0x02,0x1E,0x00,0x00,
 0x00,0x00,0x30,0x08,0x08,0x08,0x08,0x06,0x08,0x08,0x08,0x08,0x30,
 0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,
 0x00,0x00,0x06,0x08,0x08,0x08,0x08,0x30,0x08,0x08,0x08,0x08,0x06,
 0x00,0x00,0x00,0x00,0x00,0x00,0x8C,0x92,0x62,0x00,0x00,0x00,0x00,
 0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0xFE,0x01,0x00,0x00,0x00,0x00
 };
#line 28 "C:/Users/Viktor/Desktop/MikroMedia_HMI/library/50/Mikromedia_HMI_50C_Demo_Code/mikroC PRO for FT90X/Mikromedia_HMI_50C_Demo_main.c"
sbit CS_Serial_Flash_bit at GPIO_PIN28_bit;

char cSF_test_status=0;

extern unsigned char a,vol,arm[6];
extern void Start_mcu();
extern void Enable_Home_Change();
extern void Home_Change();
extern void Green_power_bars();


void InitMCU(){
 GPIO_Digital_Output(&GPIO_PORTD, _GPIO_PINMASK_4);
 CS_Serial_Flash_bit = 1;
}

void SF_Start() {
 SerialFlash_init();
 SerialFlash_WriteEnable();
}


void SF_Test(char *test)
{
 unsigned char temp1,temp2, SerialFlashID;
 unsigned char i, success;


 *test = 0;

 SerialFlash_ChipErase();


 SerialFlashID = SerialFlash_ReadID();

 Delay_ms(500);


 temp1 = 222;
 SerialFlash_WriteByte(temp1, 0x123456);
 temp2 = 111;

 Delay_ms(100);
 temp2 = SerialFlash_ReadByte(0x123456);

 Delay_ms(500);
 *test=temp2;
}

void SF_mem()
{
 unsigned char i,l,cnt[4];
 long adr=0x111111;

 for(i=0;i<6;i++) {
 SerialFlash_WriteByte(arm[i],adr);
 adr+=0x000020;
 }

 strcpy(Label24.Caption,"  ******");
 DrawScreen(&System_Log_Screen);
 for(l=0;l<10;l++) {
 ByteToStr(10-l,cnt);
 strcpy(Label25.Caption,"      ");
 strcat(Label25.Caption,cnt);
 DrawScreen(&System_Log_Screen);
 FT812_Sound_SetAndPlay(_FT812_SOUND_CLICK,_FT812_SOUND_PITCH_B3,vol);
 Delay_ms(1000);
 }
 Box30.Color=0x00FF0000;
 Box36.Color=0x00FF0000;
 Image65.Visible=0;
 Image66.Visible=1;
 strcpy(Label25.Caption,"   ARMED");
 strcpy(Label8.Caption,"   ARMED");
}

void SF_rem()
{
 unsigned char i,temp[6];
 char txte[4],txtex[4];
 int val=0;
 long adr=0x111111;

 for(i=0;i<6;i++) {
 temp[i] = SerialFlash_ReadByte(adr);
 ByteToStr(temp[i],txte);
 ByteToStr(arm[i],txtex);
 if(temp[i]!=arm[i]) val=1;
 adr+=0x000020;
 }

 Delay_ms(3000);
 for(i=0;i<6;i++) arm[i]=0;
 strcpy(Label24.Caption,"");
 DrawScreen(&System_Log_Screen);
 if(val==0) {
 a=0;
 Box30.Color=0x00008040;
 Box36.Color=0x00008040;
 Image65.Visible=1;
 Image66.Visible=0;
 strcpy(Label25.Caption,"DISARMED");
 strcpy(Label8.Caption,"DISARMED");
 }
}


void InitTimerA() {
 TIMER_CONTROL_0 = 2;
 TIMER_SELECT = 0;
 TIMER_PRESC_LS = 36;
 TIMER_PRESC_MS = 244;
 TIMER_WRITE_LS = 159;
 TIMER_WRITE_MS = 15;
 TIMER_CONTROL_3 = 0;
 TIMER_CONTROL_4 |= 17;
 TIMER_CONTROL_2 |= 16;
 TIMER_INT |= 2;
 IRQ_CTRL.B31 = 0;
 TIMER_CONTROL_1 |= 1;
}

void TimerInterrupt() iv IVT_TIMERS_IRQ{
 Enable_Home_Change();
 if (TIMER_INT_A_bit){
 TIMER_INT = (TIMER_INT & 0xAA) | (1 << 0);
 }
}


void main() {

 InitVTFTStack();
 Start_mcu();
 InitTimerA();

 while (1) {

 ProcessVTFTStack();
 Home_Change();
 Green_power_bars();

 }

}
